/* gencentab.c                                 */
/* generate cent to fraction table, 2006-10-14 */
/* NON COMMERCIAL USE ONLY                     */

#include <stdio.h>
#include <math.h>

#define ITEM_PER_LINE 8
#define TSIZE 128

int main()
{
  int i, j;
  double s, c;
  short int si;
  printf("// cent (0x00 for -64 cent, 0x40 for 0 cent, 0x7f for +63 cent)\r\xa");
  printf("// to note fraction table\r\xa\r\xa"); 
  printf("#include \"tonegen.h\"\r\xa\r\xa");
  printf("const int8_t centab[%d] = {", TSIZE);
  for (i = 0; i < TSIZE; i++) {
    s = (i - (TSIZE/2)) / 100.0; 
    si = round(128.0 * s);
    if (0 == (i % ITEM_PER_LINE)) printf("\r\xa    ");
    printf("0x%2.2x", 0xff & si);
    printf("%s", (i != (TSIZE-1) ? ", " : ""));
  }
  printf("\r\xa}; // const int8_t centab[]\r\xa");
  return(0);
}
