/* genegtab.c,     2006/10/9      */
/* EG log2 domain increment table */
/* NON COMMERCIAL USE ONLY        */

#include <stdio.h>
#include <math.h>

#define EGTABSIZE   79
#define MAXTIME    (39280.64e-3)

double dt = 1e-3;
int  qfmt = (16+10); 

int main()
{
  int i, hex;
  double lin, lb;
  double dB_6 = 20.0 * log10(2.0); // 2 = 6.02 dB

  printf("// Increment table for EG log2 accumulator\r\xa");
  printf("// at %3.1f ms update interval (Q%d format)\r\xa", dt*1e3, qfmt);
  printf("// For DR(Decay Rate)/RR(Release Rate), use table normally\r\xa");
  printf("// For AR(Attack Rate), add 5 to the index\r\xa");
  printf("\r\xa");
  printf("#include \"tonegen.h\"\r\xa\r\xa");
  printf("const int32_t eg_tab[%d] = {\r\xa", EGTABSIZE);
  printf("               // AR  DR  Time [ms]\r\xa");
  for (i = 0; i < EGTABSIZE; i++) {
    lin = MAXTIME/dt * pow(2.0, (4-i)/4.0);
    if (3 < i) hex = round((1<<qfmt) / lin);
    else       hex = 0;
    printf("  0x%.8x", hex);
    printf("%s", (((EGTABSIZE-1) == i) ? "  " : ", "));
    printf(" // ");
    if      (18 < i) printf("%.2d: ", (i-15));
    else if (4  > i) printf("%.2d: ", i);
    else             printf(  "  : ");

    if (64 > i) printf("%.2d:",  i);
    else        printf(  "  :");

    if (4 <= i) printf("%9.2f", lin);
    else        printf(" infinity");
    printf("\r\xa");
  }
  printf("}; // const int32_t eg_tab[]\r\xa");
  return(0);
}
