/* genfnumtab.c  2006-feb-21 */
/* 12-bit fnumber generator */

#include <stdio.h>
#include <math.h>

#define ITEMPERLINE 8
//#define DIV 2984
#define DIV 1152

const char tonename[12][3] = {
  "C ", "C#", "D ", "D#", "E ", "F ",
  "F#", "G ", "G#", "A ", "A#", "B "
}; // const char tonename[][]

int main()
{
  int i, hex[12];
  double Hz, fnum;
  double hclk=24e6;
  double fs=hclk/DIV;
//  double hclk=1275*32768.0;
//  double fs=hclk/DIV;

  printf("// 12-bit f-number table @ fs = %6.3f kHz\n", fs/1e3);
//  printf("//                         T1LD = %d = 0x%.4x\n", DIV, DIV);
  printf("const short int fnumtab[24] = {\n");
  for (i = 0; i < 12; i++) {
    Hz = 440.0 * pow(2.0, (i - 9)/12.0);
    fnum = (16384.0 / fs) * 8.0 * Hz;
    hex[i] = round(fnum);
    printf("  0x%.4x", hex[i]);
    printf("%s", ",");
    printf(" // %s = %7.3f Hz\n", tonename[i], Hz);
  } // for (i = 
  for (i = 0; i < 12; i++) {
    Hz = 440.0 * 
        ( pow(2.0, (i - 8)/12.0)
         -pow(2.0, (i - 9)/12.0));
    fnum = (16384.0 / fs) * 8.0 * Hz;
    printf("  0x%.4x", (1+(11==i))*hex[(i+1)%12]-hex[i]);
    printf("%s", ((11 == i) ? " " : ","));
    printf(" // %s - %s = %7.3f Hz\n", 
           tonename[(i+1)%12], tonename[i], Hz);
  } // for (i = 
  printf("}; // const int fnumtab[24]\n");
  return(0);
} // int main()
