/* genstab8k.c */
/* generate 8K sine table of total 16K, 2006-10-13 */
#include <stdio.h>
#include <math.h>

#define ITEM_PER_LINE 8
#define NPERIOD 16384
#define TSIZE 8192
#define STSIZE 256
#define PEAK  32767.0

int main()
{
  int i, j;
  double s, c;
  short int si;
  printf("// %d point sine table\r\xa", NPERIOD);
  printf("// only first %d points (0..pi) for symmetry\r\xa\r\xa", TSIZE); 
  printf("#include \"tonegen.h\"\r\xa\r\xa");
  printf("#if (%d == STAB_SIZE)\r\xa", TSIZE);
  printf("const int16_t stab[%d] = {", TSIZE);
  for (i = 0; i < TSIZE; i++) {
    s = sin(2 * M_PI * i / NPERIOD);
    si = round(PEAK * s);
    if (0 == (i % ITEM_PER_LINE)) printf("\r\xa    ");
    printf("0x%.4x", 0xffff & si);
    printf("%s", (i != (TSIZE-1) ? ", " : ""));
  }
  printf("\r\xa}; // const int16_t stab[]\r\xa");
  printf("#endif\r\xa");
  return(0);
}
