#
# hexconv.awk - convert raw hex 2 digit data record to intel hex format
#

BEGIN { 
        hex_str = "0123456789ABCDEF";
        adrs  = h2i(a); # a = hex string of start address
        OFS = "";
       }

END {
      if (0 == x) print ":00000001FF" ; # x : last record omit flag
    }    

#
# hex to integer conversion
#
function h2i(h,    d, i) 
  {
    d  = 0;
    for (i = 0; i < length(h); i++) {
      d =  16 * d + (index(hex_str, substr(h, i+1, 1))-1);
    }
    return d;
  }

function outhex2(h,   t)
  {
    h %= 256;
    csum += h;
    printf "%.2X%s", h, OFS;
  }

#
# matches all line
#
{
  dlen= split($0, data);
  csum = 0;
  printf ":";
  outhex2(dlen)
  outhex2(int(adrs / 256));
  outhex2(adrs % 256);
  outhex2(0);
  for (i = 1; i <= dlen; i++) {
    d = h2i(data[i]);
    outhex2(d);
  }
  outhex2(256 - (csum % 256));
  printf "\r\xa"
  adrs += dlen;
}