/****************************************************/
/*                                                  */
/* TGSH2A.h : SH-2A/FPU tone generator header file  */
/*                                                  */
/* NON COMMERCIAL USE ONLY                          */
/*                                                  */
/* 2010/05/12 Rev. 1.01 by pcm1723                  */
/*                                                  */
/****************************************************/
#ifndef SH2A_H
#define SH2A_H

#ifdef _SH2AFPU
//  #define SH2A_DEBUG
  #define USE_SPDIF
  #define OVS_FACTOR 512
// #define FORCE_LEGACY_MIDI
// #define FORCE_SERIAL_MIDI
// SPDIF_EN signal
  #define USE_SPDIF_EN
// SRC Output fs select, 0 for 44.1 kHz, 1 for 48 kHz
  #define SRC_OFS 1
// AUDIO clock select, 0 for AUDIO_X1, 1 for AUDIO_CLK
  #define USE_AUDIO_CLK 0
  #define MIDI_SCIF SCIF2
  #define DAC_SSIF  SSIF2
  #define _DAC_SSIF _SSI2
  #define LED_OFF (PORT.PCDR0.BIT.PC8DR = 1)
  #define LED_ON  (PORT.PCDR0.BIT.PC8DR = 0)
  #ifdef DEMOONLY
    #define CHECKMIDI (0x00)
  #else
    #define CHECKMIDI (MIDI_SCIF.SCFSR.BIT.RDF)
  #endif // #ifdef DEMOONLY 
  #define GETMIDI (temp = MIDI_SCIF.SCFRDR.BYTE, MIDI_SCIF.SCFSR.BIT.RDF = 0, temp)
  #define PUTMIDI(x) (MIDI_SCIF.SCFTDR.BYTE = x)
  #define GET_PANEL_KEY (0x01)
  #define DEFAULT_DELAY_ms 120
  #define DELAYMEMSIZE (48*DEFAULT_DELAY_ms)
#if (512 != OVS_FACTOR)
  #undef USE_SPDIF
#endif  
  extern void SH2A_port_setup( void );
  #define MD_CLK0 PORT.PAPR0.BIT.PA3PR
  #define MD_CLK1 PORT.PAPR0.BIT.PA2PR
#endif
#endif // #ifndef SH2A_H