/***********************************************************************/
/*                                                                     */
/*  FILE        :iodefine.h                                            */
/*  DATE        :Wed, Apr 28, 2010                                     */
/*  DESCRIPTION :Definition of I/O Register                            */
/*  CPU TYPE    :SH72620                                               */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.16).    */
/*                                                                     */
/***********************************************************************/
/*********************************************************************
*
* Device     : SH-2A/FPU SH72620,SH72621,SH72622,SH72623(1MB)
*
* File Name  : iodefine.h
*
* Abstruct   : Definition of I/O Register.
*
* History    : 1.00  (2009-03-10)  [Hardware Manual Revision : 1.00]
*              1.01  (2009-04-22)  
*              1.02  (2009-06-29)  
*              1.03  (2009-09-30)  [Hardware Manual Revision : 2.00]
*              1.04  (2010-01-12)  
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright(c) 2009,2010 Renesas Technology Corp.
*               And Renesas Solutions Corp.,All Rights Reserved. 
*
*********************************************************************/
#ifndef _IODEFINE_H_
#define _IODEFINE_H_

#include "typedefine.h"

struct st_cpg {                                 /* struct CPG   */
       union {                                  /* FRQCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :1;                  /*              */
                    _UWORD CKOEN2:1;            /*   CKOEN2     */
                    _UWORD CKOEN:2;             /*   CKOEN      */
                    _UWORD :3;                  /*              */
                    _UWORD STC:1;               /*   STC        */
                    _UWORD :2;                  /*              */
                    _UWORD IFC:2;               /*   IFC        */
                    _UWORD :1;                  /*              */
                    _UWORD PFC:3;               /*   PFC        */
                    } BIT;                      /*              */
             } FRQCR;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* STBCR1       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE STBY:1;              /*   STBY       */
                    _UBYTE DEEP:1;              /*   DEEP       */
                    _UBYTE :6;                  /*              */
                    } BIT;                      /*              */
             } STBCR1;                          /*              */
       _UBYTE wk1[3];                           /*              */
       union {                                  /* STBCR2       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP10:1;            /*   MSTP10     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP8:1;             /*   MSTP8      */
                    _UBYTE MSTP7:1;             /*   MSTP7      */
                    _UBYTE :4;                  /*              */
                    } BIT;                      /*              */
             } STBCR2;                          /*              */
       _UBYTE wk2[999];                         /*              */
       union {                                  /* SYSCR1       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :4;                  /*              */
                    _UBYTE RAME3:1;             /*   RAME3      */
                    _UBYTE RAME2:1;             /*   RAME2      */
                    _UBYTE RAME1:1;             /*   RAME1      */
                    _UBYTE RAME0:1;             /*   RAME0      */
                    } BIT;                      /*              */
             } SYSCR1;                          /*              */
       _UBYTE wk3[3];                           /*              */
       union {                                  /* SYSCR2       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :4;                  /*              */
                    _UBYTE RAMWE3:1;            /*   RAMWE3     */
                    _UBYTE RAMWE2:1;            /*   RAMWE2     */
                    _UBYTE RAMWE1:1;            /*   RAMWE1     */
                    _UBYTE RAMWE0:1;            /*   RAMWE0     */
                    } BIT;                      /*              */
             } SYSCR2;                          /*              */
       _UBYTE wk4[3];                           /*              */
       union {                                  /* STBCR3       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE HIZ:1;               /*   HIZ        */
                    _UBYTE MSTP36:1;            /*   MSTP36     */
                    _UBYTE MSTP35:1;            /*   MSTP35     */
                    _UBYTE MSTP34:1;            /*   MSTP34     */
                    _UBYTE MSTP33:1;            /*   MSTP33     */
                    _UBYTE MSTP32:1;            /*   MSTP32     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP30:1;            /*   MSTP30     */
                    } BIT;                      /*              */
             } STBCR3;                          /*              */
       _UBYTE wk5[3];                           /*              */
       union {                                  /* STBCR4       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP47:1;            /*   MSTP47     */
                    _UBYTE MSTP46:1;            /*   MSTP46     */
                    _UBYTE MSTP45:1;            /*   MSTP45     */
                    _UBYTE MSTP44:1;            /*   MSTP44     */
                    _UBYTE MSTP43:1;            /*   MSTP43     */
                    _UBYTE MSTP42:1;            /*   MSTP42     */
                    _UBYTE MSTP41:1;            /*   MSTP41     */
                    _UBYTE MSTP40:1;            /*   MSTP40     */
                    } BIT;                      /*              */
             } STBCR4;                          /*              */
       _UBYTE wk6[3];                           /*              */
       union {                                  /* STBCR5       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP57:1;            /*   MSTP57     */
                    _UBYTE MSTP56:1;            /*   MSTP56     */
                    _UBYTE MSTP55:1;            /*   MSTP55     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP53:1;            /*   MSTP53     */
                    _UBYTE MSTP52:1;            /*   MSTP52     */
                    _UBYTE MSTP51:1;            /*   MSTP51     */
                    _UBYTE MSTP50:1;            /*   MSTP50     */
                    } BIT;                      /*              */
             } STBCR5;                          /*              */
       _UBYTE wk7[3];                           /*              */
       union {                                  /* STBCR6       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP67:1;            /*   MSTP67     */
                    _UBYTE MSTP66:1;            /*   MSTP66     */
                    _UBYTE MSTP65:1;            /*   MSTP65     */
                    _UBYTE MSTP64:1;            /*   MSTP64     */
                    _UBYTE MSTP63:1;            /*   MSTP63     */
                    _UBYTE MSTP62:1;            /*   MSTP62     */
                    _UBYTE MSTP61:1;            /*   MSTP61     */
                    _UBYTE MSTP60:1;            /*   MSTP60     */
                    } BIT;                      /*              */
             } STBCR6;                          /*              */
       _UBYTE wk8[3];                           /*              */
       union {                                  /* STBCR7       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP77:1;            /*   MSTP77     */
                    _UBYTE MSTP76:1;            /*   MSTP76     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP74:1;            /*   MSTP74     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP72:1;            /*   MSTP72     */
                    _UBYTE :1;                  /*              */
                    _UBYTE MSTP70:1;            /*   MSTP70     */
                    } BIT;                      /*              */
             } STBCR7;                          /*              */
       _UBYTE wk9[3];                           /*              */
       union {                                  /* STBCR8       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE MSTP87:1;            /*   MSTP87     */
                    _UBYTE :6;                  /*              */
                    _UBYTE MSTP80:1;            /*   MSTP80     */
                    } BIT;                      /*              */
             } STBCR8;                          /*              */
       _UBYTE wk10[3];                          /*              */
       union {                                  /* SYSCR3       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE VRAME5:1;            /*   VRAME5     */
                    _UBYTE VRAME4:1;            /*   VRAME4     */
                    _UBYTE VRAME3:1;            /*   VRAME3     */
                    _UBYTE VRAME2:1;            /*   VRAME2     */
                    _UBYTE VRAME1:1;            /*   VRAME1     */
                    _UBYTE VRAME0:1;            /*   VRAME0     */
                    } BIT;                      /*              */
             } SYSCR3;                          /*              */
       _UBYTE wk11[3];                          /*              */
       union {                                  /* SYSCR4       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE VRAMWE5:1;           /*   VRAMWE5    */
                    _UBYTE VRAMWE4:1;           /*   VRAMWE4    */
                    _UBYTE VRAMWE3:1;           /*   VRAMWE3    */
                    _UBYTE VRAMWE2:1;           /*   VRAMWE2    */
                    _UBYTE VRAMWE1:1;           /*   VRAMWE1    */
                    _UBYTE VRAMWE0:1;           /*   VRAMWE0    */
                    } BIT;                      /*              */
             } SYSCR4;                          /*              */
       _UBYTE wk12[11];                         /*              */
       union {                                  /* SWRSTCR      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE AXTALE:1;            /*   AXTALE     */
                    _UBYTE :2;                  /*              */
                    _UBYTE IEBSRST:1;           /*   IEBSRST    */
                    _UBYTE SSIF3SRST:1;         /*   SSIF3SRST  */
                    _UBYTE SSIF2SRST:1;         /*   SSIF2SRST  */
                    _UBYTE SSIF1SRST:1;         /*   SSIF1SRST  */
                    _UBYTE SSIF0SRST:1;         /*   SSIF0SRST  */
                    } BIT;                      /*              */
             } SWRSTCR;                         /*              */
       _UBYTE wk13[25551];                      /*              */
       union {                                  /* RRAMKP       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE RRAMKP1:1;           /*   RRAMKP1    */
                    _UBYTE RRAMKP0:1;           /*   RRAMKP0    */
                    } BIT;                      /*              */
             } RRAMKP;                          /*              */
       _UBYTE wk14[1];                          /*              */
       union {                                  /* DSCTR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE EBUSKEEPE:1;         /*   EBUSKEEPE  */
                    _UBYTE RAMBOOT:1;           /*   RAMBOOT    */
                    _UBYTE :6;                  /*              */
                    } BIT;                      /*              */
             } DSCTR;                           /*              */
       _UBYTE wk15[1];                          /*              */
       union {                                  /* DSSSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :9;                  /*              */
                    _UWORD RTCAR:1;             /*   RTCAR      */
                    _UWORD PC8:1;               /*   PC8        */
                    _UWORD PC7:1;               /*   PC7        */
                    _UWORD PC6:1;               /*   PC6        */
                    _UWORD PC5:1;               /*   PC5        */
                    _UWORD PJ3:1;               /*   PJ3        */
                    _UWORD PJ1:1;               /*   PJ1        */
                    } BIT;                      /*              */
             } DSSSR;                           /*              */
       union {                                  /* DSESR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :7;                  /*              */
                    _UWORD NMIE:1;              /*   NMIE       */
                    _UWORD :2;                  /*              */
                    _UWORD PC8E:1;              /*   PC8E       */
                    _UWORD PC7E:1;              /*   PC7E       */
                    _UWORD PC6E:1;              /*   PC6E       */
                    _UWORD PC5E:1;              /*   PC5E       */
                    _UWORD PJ3E:1;              /*   PJ3E       */
                    _UWORD PJ1E:1;              /*   PJ1E       */
                    } BIT;                      /*              */
             } DSESR;                           /*              */
       union {                                  /* DSFR         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD IOKEEP:1;            /*   IOKEEP     */
                    _UWORD :6;                  /*              */
                    _UWORD NMIF:1;              /*   NMIF       */
                    _UWORD :1;                  /*              */
                    _UWORD RTCARF:1;            /*   RTCARF     */
                    _UWORD PC8F:1;              /*   PC8F       */
                    _UWORD PC7F:1;              /*   PC7F       */
                    _UWORD PC6F:1;              /*   PC6F       */
                    _UWORD PC5F:1;              /*   PC5F       */
                    _UWORD PJ3F:1;              /*   PJ3F       */
                    _UWORD PJ1F:1;              /*   PJ1F       */
                    } BIT;                      /*              */
             } DSFR;                            /*              */
       _UBYTE wk16[6];                          /*              */
       union {                                  /* XTALCTR      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE GAIN:1;              /*   GAIN       */
                    } BIT;                      /*              */
             } XTALCTR;                         /*              */
};                                              /*              */
struct st_intc {                                /* struct INTC  */
       union {                                  /* ICR0         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD NMIL:1;              /*   NMIL       */
                    _UWORD :6;                  /*              */
                    _UWORD NMIE:1;              /*   NMIE       */
                    _UWORD :8;                  /*              */
                    } BIT;                      /*              */
             } ICR0;                            /*              */
       union {                                  /* ICR1         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD IRQ71S:1;            /*   IRQ71S     */
                    _UWORD IRQ70S:1;            /*   IRQ70S     */
                    _UWORD IRQ61S:1;            /*   IRQ61S     */
                    _UWORD IRQ60S:1;            /*   IRQ60S     */
                    _UWORD IRQ51S:1;            /*   IRQ51S     */
                    _UWORD IRQ50S:1;            /*   IRQ50S     */
                    _UWORD IRQ41S:1;            /*   IRQ41S     */
                    _UWORD IRQ40S:1;            /*   IRQ40S     */
                    _UWORD IRQ31S:1;            /*   IRQ31S     */
                    _UWORD IRQ30S:1;            /*   IRQ30S     */
                    _UWORD IRQ21S:1;            /*   IRQ21S     */
                    _UWORD IRQ20S:1;            /*   IRQ20S     */
                    _UWORD IRQ11S:1;            /*   IRQ11S     */
                    _UWORD IRQ10S:1;            /*   IRQ10S     */
                    _UWORD IRQ01S:1;            /*   IRQ01S     */
                    _UWORD IRQ00S:1;            /*   IRQ00S     */
                    } BIT;                      /*              */
             } ICR1;                            /*              */
       union {                                  /* ICR2         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD PINT7S:1;            /*   PINT7S     */
                    _UWORD PINT6S:1;            /*   PINT6S     */
                    _UWORD PINT5S:1;            /*   PINT5S     */
                    _UWORD PINT4S:1;            /*   PINT4S     */
                    _UWORD PINT3S:1;            /*   PINT3S     */
                    _UWORD PINT2S:1;            /*   PINT2S     */
                    _UWORD PINT1S:1;            /*   PINT1S     */
                    _UWORD PINT0S:1;            /*   PINT0S     */
                    } BIT;                      /*              */
             } ICR2;                            /*              */
       union {                                  /* IRQRR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD IRQ7F:1;             /*   IRQ7F      */
                    _UWORD IRQ6F:1;             /*   IRQ6F      */
                    _UWORD IRQ5F:1;             /*   IRQ5F      */
                    _UWORD IRQ4F:1;             /*   IRQ4F      */
                    _UWORD IRQ3F:1;             /*   IRQ3F      */
                    _UWORD IRQ2F:1;             /*   IRQ2F      */
                    _UWORD IRQ1F:1;             /*   IRQ1F      */
                    _UWORD IRQ0F:1;             /*   IRQ0F      */
                    } BIT;                      /*              */
             } IRQRR;                           /*              */
       union {                                  /* PINTER       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD PINT7E:1;            /*   PINT7E     */
                    _UWORD PINT6E:1;            /*   PINT6E     */
                    _UWORD PINT5E:1;            /*   PINT5E     */
                    _UWORD PINT4E:1;            /*   PINT4E     */
                    _UWORD PINT3E:1;            /*   PINT3E     */
                    _UWORD PINT2E:1;            /*   PINT2E     */
                    _UWORD PINT1E:1;            /*   PINT1E     */
                    _UWORD PINT0E:1;            /*   PINT0E     */
                    } BIT;                      /*              */
             } PINTER;                          /*              */
       union {                                  /* PIRR         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD PINT7R:1;            /*   PINT7R     */
                    _UWORD PINT6R:1;            /*   PINT6R     */
                    _UWORD PINT5R:1;            /*   PINT5R     */
                    _UWORD PINT4R:1;            /*   PINT4R     */
                    _UWORD PINT3R:1;            /*   PINT3R     */
                    _UWORD PINT2R:1;            /*   PINT2R     */
                    _UWORD PINT1R:1;            /*   PINT1R     */
                    _UWORD PINT0R:1;            /*   PINT0R     */
                    } BIT;                      /*              */
             } PIRR;                            /*              */
       union {                                  /* IBCR         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD E15:1;               /*   E15        */
                    _UWORD E14:1;               /*   E14        */
                    _UWORD E13:1;               /*   E13        */
                    _UWORD E12:1;               /*   E12        */
                    _UWORD E11:1;               /*   E11        */
                    _UWORD E10:1;               /*   E10        */
                    _UWORD E9:1;                /*   E9         */
                    _UWORD E8:1;                /*   E8         */
                    _UWORD E7:1;                /*   E7         */
                    _UWORD E6:1;                /*   E6         */
                    _UWORD E5:1;                /*   E5         */
                    _UWORD E4:1;                /*   E4         */
                    _UWORD E3:1;                /*   E3         */
                    _UWORD E2:1;                /*   E2         */
                    _UWORD E1:1;                /*   E1         */
                    _UWORD :1;                  /*              */
                    } BIT;                      /*              */
             } IBCR;                            /*              */
       union {                                  /* IBNR         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD BE:2;                /*   BE         */
                    _UWORD BOVE:1;              /*   BOVE       */
                    _UWORD :9;                  /*              */
                    _UWORD BN:4;                /*   BN         */
                    } BIT;                      /*              */
             } IBNR;                            /*              */
       _UBYTE wk0[8];                           /*              */
       union {                                  /* IPR01        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _IRQ0:4;             /*   _IRQ0      */
                    _UWORD _IRQ1:4;             /*   _IRQ1      */
                    _UWORD _IRQ2:4;             /*   _IRQ2      */
                    _UWORD _IRQ3:4;             /*   _IRQ3      */
                    } BIT;                      /*              */
             } IPR01;                           /*              */
       union {                                  /* IPR02        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _IRQ4:4;             /*   _IRQ4      */
                    _UWORD _IRQ5:4;             /*   _IRQ5      */
                    _UWORD _IRQ6:4;             /*   _IRQ6      */
                    _UWORD _IRQ7:4;             /*   _IRQ7      */
                    } BIT;                      /*              */
             } IPR02;                           /*              */
       _UBYTE wk1[4];                           /*              */
       union {                                  /* IPR05        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _PINT:4;             /*   _IRQ4      */
                    _UWORD :12;                 /*              */
                    } BIT;                      /*              */
             } IPR05;                           /*              */
       _UBYTE wk2[990];                         /*              */
       union {                                  /* IPR06        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _DMAC0:4;            /*   _DMAC0     */
                    _UWORD _DMAC1:4;            /*   _DMAC1     */
                    _UWORD _DMAC2:4;            /*   _DMAC2     */
                    _UWORD _DMAC3:4;            /*   _DMAC3     */
                    } BIT;                      /*              */
             } IPR06;                           /*              */
       union {                                  /* IPR07        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _DMAC4:4;            /*   _DMAC4     */
                    _UWORD _DMAC5:4;            /*   _DMAC5     */
                    _UWORD _DMAC6:4;            /*   _DMAC6     */
                    _UWORD _DMAC7:4;            /*   _DMAC7     */
                    } BIT;                      /*              */
             } IPR07;                           /*              */
       union {                                  /* IPR08        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _DMAC8:4;            /*   _DMAC8     */
                    _UWORD _DMAC9:4;            /*   _DMAC9     */
                    _UWORD _DMAC10:4;           /*   _DMAC10    */
                    _UWORD _DMAC11:4;           /*   _DMAC11    */
                    } BIT;                      /*              */
             } IPR08;                           /*              */
       union {                                  /* IPR09        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _DMAC12:4;           /*   _DMAC12    */
                    _UWORD _DMAC13:4;           /*   _DMAC13    */
                    _UWORD _DMAC14:4;           /*   _DMAC14    */
                    _UWORD _DMAC15:4;           /*   _DMAC15    */
                    } BIT;                      /*              */
             } IPR09;                           /*              */
       union {                                  /* IPR10        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _USB:4;              /*   _USB       */
                    _UWORD _VDC3:4;             /*   _VDC3      */
                    _UWORD _CMT0:4;             /*   _CMT0      */
                    _UWORD _CMT1:4;             /*   _CMT1      */
                    } BIT;                      /*              */
             } IPR10;                           /*              */
       union {                                  /* IPR11        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _BSC:4;              /*   _BSC       */
                    _UWORD _WDT:4;              /*   _WDT       */
                    _UWORD _MTU00:4;            /*   _MTU00     */
                    _UWORD _MTU01:4;            /*   _MTU01     */
                    } BIT;                      /*              */
             } IPR11;                           /*              */
       union {                                  /* IPR12        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _MTU10:4;            /*   _MTU10     */
                    _UWORD _MTU11:4;            /*   _MTU11     */
                    _UWORD _MTU20:4;            /*   _MTU20     */
                    _UWORD _MTU21:4;            /*   _MTU21     */
                    } BIT;                      /*              */
             } IPR12;                           /*              */
       union {                                  /* IPR13        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _MTU30:4;            /*   _MTU30     */
                    _UWORD _MTU31:4;            /*   _MTU31     */
                    _UWORD _MTU40:4;            /*   _MTU40     */
                    _UWORD _MTU41:4;            /*   _MTU41     */
                    } BIT;                      /*              */
             } IPR13;                           /*              */
       union {                                  /* IPR14        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _PWM1:4;             /*   _PWM1      */
                    _UWORD _PWM2:4;             /*   _PWM2      */
                    _UWORD _ADC:4;              /*   _ADC       */
                    _UWORD :4;                  /*              */
                    } BIT;                      /*              */
             } IPR14;                           /*              */
       union {                                  /* IPR15        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SSI0:4;             /*   _SSI0      */
                    _UWORD _SSI1:4;             /*   _SSI1      */
                    _UWORD _SSI2:4;             /*   _SSI2      */
                    _UWORD _SSI3:4;             /*   _SSI3      */
                    } BIT;                      /*              */
             } IPR15;                           /*              */
       union {                                  /* IPR16        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SPDIF:4;            /*   _SPDIF     */
                    _UWORD _IIC30:4;            /*   _IIC30     */
                    _UWORD _IIC31:4;            /*   _IIC31     */
                    _UWORD _IIC32:4;            /*   _IIC32     */
                    } BIT;                      /*              */
             } IPR16;                           /*              */
       union {                                  /* IPR17        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SCIF0:4;            /*   _SCIF0     */
                    _UWORD _SCIF1:4;            /*   _SCIF1     */
                    _UWORD _SCIF2:4;            /*   _SCIF2     */
                    _UWORD _SCIF3:4;            /*   _SCIF3     */
                    } BIT;                      /*              */
             } IPR17;                           /*              */
       union {                                  /* IPR18        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SCIF4:4;            /*   _SCIF4     */
                    _UWORD _SCIF5:4;            /*   _SCIF5     */
                    _UWORD _SCIF6:4;            /*   _SCIF6     */
                    _UWORD _SCIF7:4;            /*   _SCIF7     */
                    } BIT;                      /*              */
             } IPR18;                           /*              */
       union {                                  /* IPR19        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SIOF:4;             /*   _SIOF      */
                    _UWORD :4;                  /*              */
                    _UWORD _RSPI0:4;            /*   _RSPI0     */
                    _UWORD _RSPI1:4;            /*   _RSPI1     */
                    } BIT;                      /*              */
             } IPR19;                           /*              */
       union {                                  /* IPR20        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _RCAN0:4;            /*   _RCAN0     */
                    _UWORD _RCAN1:4;            /*   _RCAN1     */
                    _UWORD _IEB:4;              /*   _IEB       */
                    _UWORD _ROMDEC:4;           /*   _ROMDEC    */
                    } BIT;                      /*              */
             } IPR20;                           /*              */
       union {                                  /* IPR21        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _FLCTL:4;            /*   _FLCTL     */
                    _UWORD _SDHI:4;             /*   _SDHI      */
                    _UWORD _RTC:4;              /*   _RTC       */
                    _UWORD :4;                  /*              */
                    } BIT;                      /*              */
             } IPR21;                           /*              */
       union {                                  /* IPR22        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD _SRC0:4;             /*   _SRC0      */
                    _UWORD _SRC1:4;             /*   _SRC1      */
                    _UWORD :4;                  /*              */
                    _UWORD _DCU:4;              /*   _DCU       */
                    } BIT;                      /*              */
             } IPR22;                           /*              */
};                                              /*              */
struct st_ccnt {                                /* struct CCNT  */
       union {                                  /* CCR1         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :20;                /*              */
                    _UDWORD ICF:1;              /*   ICF        */
                    _UDWORD :2;                 /*              */
                    _UDWORD ICE:1;              /*   ICE        */
                    _UDWORD :4;                 /*              */
                    _UDWORD OCF:1;              /*   OCF        */
                    _UDWORD :1;                 /*              */
                    _UDWORD WT:1;               /*   WT         */
                    _UDWORD OCE:1;              /*   OCE        */
                    } BIT;                      /*              */
             } CCR1;                            /*              */
       union {                                  /* CCR2         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :15;                /*              */
                    _UDWORD LE:1;               /*   LE         */
                    _UDWORD :6;                 /*              */
                    _UDWORD W3LOAD:1;           /*   W3LOAD     */
                    _UDWORD W3LOCK:1;           /*   W3LOCK     */
                    _UDWORD :6;                 /*              */
                    _UDWORD W2LOAD:1;           /*   W2LOAD     */
                    _UDWORD W2LOCK:1;           /*   W2LOCK     */
                    } BIT;                      /*              */
             } CCR2;                            /*              */
};
struct st_mtu2 {                                /* struct MTU2  */
       union {                                  /* TCR_2        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE CCLR:2;              /*   CCLR       */
                    _UBYTE CKEG:2;              /*   CKEG       */
                    _UBYTE TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_2;                           /*              */
       union {                                  /* TMDR_2       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :4;                  /*              */
                    _UBYTE MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_2;                          /*              */
       union {                                  /* TIOR_2       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOB:4;               /*   IOB        */
                    _UBYTE IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIOR_2;                          /*              */
       _UBYTE wk0[1];                           /*              */
       union {                                  /* TIER_2       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE:1;              /*   TTGE       */
                    _UBYTE :1;                  /*              */
                    _UBYTE TCIEU:1;             /*   TCIEU      */
                    _UBYTE TCIEV:1;             /*   TCIEV      */
                    _UBYTE :2;                  /*              */
                    _UBYTE TGIEB:1;             /*   TGIEB      */
                    _UBYTE TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_2;                          /*              */
       union {                                  /* TSR_2        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TCFD:1;              /*   TCFD       */
                    _UBYTE :1;                  /*              */
                    _UBYTE TCFU:1;              /*   TCFU       */
                    _UBYTE TCFV:1;              /*   TCFV       */
                    _UBYTE TGFD:1;              /*   TGFD       */
                    _UBYTE TGFC:1;              /*   TGFC       */
                    _UBYTE TGFB:1;              /*   TGFB       */
                    _UBYTE TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_2;                           /*              */
       union {                                  /* TCNT_2       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_2;                          /*              */
       union {                                  /* TGRA_2       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_2;                          /*              */
       union {                                  /* TGRB_2       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_2;                          /*              */
       _UBYTE wk1[500];                         /*              */
       union {                                  /* TCR_3        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE CCLR:3;              /*   CCLR       */
                    _UBYTE CKEG:2;              /*   CKEG       */
                    _UBYTE TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_3;                           /*              */
       union {                                  /* TCR_4        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE CCLR:3;              /*   CCLR       */
                    _UBYTE CKEG:2;              /*   CKEG       */
                    _UBYTE TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_4;                           /*              */
       union {                                  /* TMDR_3       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE BFB:1;               /*   BFB        */
                    _UBYTE BFA:1;               /*   BFA        */
                    _UBYTE MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_3;                          /*              */
       union {                                  /* TMDR_4       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE BFB:1;               /*   BFB        */
                    _UBYTE BFA:1;               /*   BFA        */
                    _UBYTE MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_4;                          /*              */
       union {                                  /* TIORH_3      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOB:4;               /*   IOB        */
                    _UBYTE IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_3;                         /*              */
       union {                                  /* TIORL_3      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOD:4;               /*   IOD        */
                    _UBYTE IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_3;                         /*              */
       union {                                  /* TIORH_4      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOB:4;               /*   IOB        */
                    _UBYTE IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_4;                         /*              */
       union {                                  /* TIORL_4      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOD:4;               /*   IOD        */
                    _UBYTE IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_4;                         /*              */
       union {                                  /* TIER_3       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE:1;              /*   TTGE       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TCIEV:1;             /*   TCIEV      */
                    _UBYTE TGIED:1;             /*   TGIED      */
                    _UBYTE TGIEC:1;             /*   TGIEC      */
                    _UBYTE TGIEB:1;             /*   TGIEB      */
                    _UBYTE TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_3;                          /*              */
       union {                                  /* TIER_4       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE:1;              /*   TTGE       */
                    _UBYTE TTGE2:1;             /*   TTGE2      */
                    _UBYTE :1;                  /*              */
                    _UBYTE TCIEV:1;             /*   TCIEV      */
                    _UBYTE TGIED:1;             /*   TGIED      */
                    _UBYTE TGIEC:1;             /*   TGIEC      */
                    _UBYTE TGIEB:1;             /*   TGIEB      */
                    _UBYTE TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_4;                          /*              */
       union {                                  /* TOER         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE OE4D:1;              /*   OE4D       */
                    _UBYTE OE4C:1;              /*   OE4C       */
                    _UBYTE OE3D:1;              /*   OE3D       */
                    _UBYTE OE4B:1;              /*   OE4B       */
                    _UBYTE OE4A:1;              /*   OE4A       */
                    _UBYTE OE3B:1;              /*   OE3B       */
                    } BIT;                      /*              */
             } TOER;                            /*              */
       _UBYTE wk2[2];                           /*              */
       union {                                  /* TGCR         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE BDC:1;               /*   BDC        */
                    _UBYTE N:1;                 /*   N          */
                    _UBYTE P:1;                 /*   P          */
                    _UBYTE FB:1;                /*   FB         */
                    _UBYTE WF:1;                /*   WF         */
                    _UBYTE VF:1;                /*   VF         */
                    _UBYTE UF:1;                /*   UF         */
                    } BIT;                      /*              */
             } TGCR;                            /*              */
       union {                                  /* TOCR1        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PSYE:1;              /*   PSYE       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TOCL:1;              /*   TOCL       */
                    _UBYTE TOCS:1;              /*   TOCS       */
                    _UBYTE OLSN:1;              /*   OLSN       */
                    _UBYTE OLSP:1;              /*   OLSP       */
                    } BIT;                      /*              */
             } TOCR1;                           /*              */
       union {                                  /* TOCR2        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE BF:2;                /*   BF         */
                    _UBYTE OLS3N:1;             /*   OLS3N      */
                    _UBYTE OLS3P:1;             /*   OLS3P      */
                    _UBYTE OLS2N:1;             /*   OLS2N      */
                    _UBYTE OLS2P:1;             /*   OLS2P      */
                    _UBYTE OLS1N:1;             /*   OLS1N      */
                    _UBYTE OLS1P:1;             /*   OLS1P      */
                    } BIT;                      /*              */
             } TOCR2;                           /*              */
       union {                                  /* TCNT_3       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_3;                          /*              */
       union {                                  /* TCNT_4       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_4;                          /*              */
       union {                                  /* TCDR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCDR;                            /*              */
       union {                                  /* TDDR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TDDR;                            /*              */
       union {                                  /* TGRA_3       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_3;                          /*              */
       union {                                  /* TGRB_3       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_3;                          /*              */
       union {                                  /* TGRA_4       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_4;                          /*              */
       union {                                  /* TGRB_4       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_4;                          /*              */
       union {                                  /* TCNTS       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNTS;                           /*              */
       union {                                  /* TCBR         */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCBR;                            /*              */
       union {                                  /* TGRC_3       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_3;                          /*              */
       union {                                  /* TGRD_3       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_3;                          /*              */
       union {                                  /* TGRC_4       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_4;                          /*              */
       union {                                  /* TGRD_4       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_4;                          /*              */
       union {                                  /* TSR_3        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TCFD:1;              /*   TCFD       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TCFV:1;              /*   TCFV       */
                    _UBYTE TGFD:1;              /*   TGFD       */
                    _UBYTE TGFC:1;              /*   TGFC       */
                    _UBYTE TGFB:1;              /*   TGFB       */
                    _UBYTE TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_3;                           /*              */
       union {                                  /* TSR_4        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TCFD:1;              /*   TCFD       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TCFV:1;              /*   TCFV       */
                    _UBYTE TGFD:1;              /*   TGFD       */
                    _UBYTE TGFC:1;              /*   TGFC       */
                    _UBYTE TGFB:1;              /*   TGFB       */
                    _UBYTE TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_4;                           /*              */
       _UBYTE wk3[2];                           /*              */
       union {                                  /* TITCR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE T3AEN:1;             /*   T3AEN      */
                    _UBYTE _3ACOR:3;            /*   _3ACOR     */
                    _UBYTE T4VEN:1;             /*   T4VEN      */
                    _UBYTE _4VCOR:3;            /*   _4VCOR     */
                    } BIT;                      /*              */
             } TITCR;                           /*              */
       union {                                  /* TITCNT       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE _3ACNT:3;            /*   _3ACNT     */
                    _UBYTE :1;                  /*              */
                    _UBYTE _4VCNT:3;            /*   _4VCNT     */
                    } BIT;                      /*              */
             } TITCNT;                          /*              */
       union {                                  /* TBTER        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE BTE:2;               /*   BTE        */
                    } BIT;                      /*              */
             } TBTER;                           /*              */
       _UBYTE wk4[1];                           /*              */
       union {                                  /* TDER         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE TDER:1;              /*   TDER       */
                    } BIT;                      /*              */
             } TDER;                            /*              */
       _UBYTE wk5[1];                           /*              */
       union {                                  /* TOLBR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE OLS3N:1;             /*   OLS3N      */
                    _UBYTE OLS3P:1;             /*   OLS3P      */
                    _UBYTE OLS2N:1;             /*   OLS2N      */
                    _UBYTE OLS2P:1;             /*   OLS2P      */
                    _UBYTE OLS1N:1;             /*   OLS1N      */
                    _UBYTE OLS1P:1;             /*   OLS1P      */
                    } BIT;                      /*              */
             } TOLBR;                           /*              */
       _UBYTE wk6[1];                           /*              */
       union {                                  /* TBTM_3       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE TTSB:1;              /*   TTSB       */
                    _UBYTE TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM_3;                          /*              */
       union {                                  /* TBTM_4       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE TTSB:1;              /*   TTSB       */
                    _UBYTE TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM_4;                          /*              */
       _UBYTE wk7[6];                           /*              */
       union {                                  /* TADCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD BF:2;                /*   BF         */
                    _UWORD :6;                  /*              */
                    _UWORD UT4AE:1;             /*   UT4AE      */
                    _UWORD DT4AE:1;             /*   DT4AE      */
                    _UWORD UT4BE:1;             /*   UT4BE      */
                    _UWORD DT4BE:1;             /*   DT4BE      */
                    _UWORD ITA3AE:1;            /*   ITA3AE     */
                    _UWORD ITA4VE:1;            /*   ITA4VE     */
                    _UWORD ITB3AE:1;            /*   ITB3AE     */
                    _UWORD ITB4VE:1;            /*   ITB4VE     */
                    } BIT;                      /*              */
             } TADCR;                           /*              */
       _UBYTE wk8[2];                           /*              */
       union {                                  /* TADCORA_4    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCORA_4;                       /*              */
       union {                                  /* TADCORB_4    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCORB_4;                       /*              */
       union {                                  /* TADCOBRA_4   */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCOBRA_4;                      /*              */
       union {                                  /* TADCOBRB_4   */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TADCOBRB_4;                      /*              */
       _UBYTE wk9[20];                          /*              */
       union {                                  /* TWCR         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE CCE:1;               /*   CCE        */
                    _UBYTE :6;                  /*              */
                    _UBYTE WRE:1;               /*   WRE        */
                    } BIT;                      /*              */
             } TWCR;                            /*              */
       _UBYTE wk10[31];                         /*              */
       union {                                  /* TSTR         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE CST4:1;              /*   CST4       */
                    _UBYTE CST3:1;              /*   CST3       */
                    _UBYTE :3;                  /*              */
                    _UBYTE CST2:1;              /*   CST2       */
                    _UBYTE CST1:1;              /*   CST1       */
                    _UBYTE CST0:1;              /*   CST0       */
                    } BIT;                      /*              */
             } TSTR;                            /*              */
       union {                                  /* TSYR         */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE SYNC4:1;             /*   SYNC4      */
                    _UBYTE SYNC3:1;             /*   SYNC3      */
                    _UBYTE :3;                  /*              */
                    _UBYTE SYNC2:1;             /*   SYNC2      */
                    _UBYTE SYNC1:1;             /*   SYNC1      */
                    _UBYTE SYNC0:1;             /*   SYNC0      */
                    } BIT;                      /*              */
             } TSYR;                            /*              */
       _UBYTE wk11[2];                          /*              */
       union {                                  /* TRWER        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE RWE:1;               /*   RWE        */
                    } BIT;                      /*              */
             } TRWER;                           /*              */
       _UBYTE wk12[123];                        /*              */
       union {                                  /* TCR_0        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE CCLR:3;              /*   CCLR       */
                    _UBYTE CKEG:2;              /*   CKEG       */
                    _UBYTE TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_0;                           /*              */
       union {                                  /* TMDR_0       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE BFE:1;               /*   BFE        */
                    _UBYTE BFB:1;               /*   BFB        */
                    _UBYTE BFA:1;               /*   BFA        */
                    _UBYTE MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_0;                          /*              */
       union {                                  /* TIORH_0      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOB:4;               /*   IOB        */
                    _UBYTE IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIORH_0;                         /*              */
       union {                                  /* TIORL_0      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOD:4;               /*   IOD        */
                    _UBYTE IOC:4;               /*   IOC        */
                    } BIT;                      /*              */
             } TIORL_0;                         /*              */
       union {                                  /* TIER_0       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE:1;              /*   TTGE       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TCIEV:1;             /*   TCIEV      */
                    _UBYTE TGIED:1;             /*   TGIED      */
                    _UBYTE TGIEC:1;             /*   TGIEC      */
                    _UBYTE TGIEB:1;             /*   TGIEB      */
                    _UBYTE TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_0;                          /*              */
       union {                                  /* TSR_0        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TCFD:1;              /*   TCFD       */
                    _UBYTE :2;                  /*              */
                    _UBYTE TCFV:1;              /*   TCFV       */
                    _UBYTE TGFD:1;              /*   TGFD       */
                    _UBYTE TGFC:1;              /*   TGFC       */
                    _UBYTE TGFB:1;              /*   TGFB       */
                    _UBYTE TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_0;                           /*              */
       union {                                  /* TCNT_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_0;                          /*              */
       union {                                  /* TGRA_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_0;                          /*              */
       union {                                  /* TGRB_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_0;                          /*              */
       union {                                  /* TGRC_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRC_0;                          /*              */
       union {                                  /* TGRD_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRD_0;                          /*              */
       _UBYTE wk13[16];                         /*              */
       union {                                  /* TGRE_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRE_0;                          /*              */
       union {                                  /* TGRF_0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRF_0;                          /*              */
       union {                                  /* TIER2_0      */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE2:1;             /*   TTGE2      */
                    _UBYTE :5;                  /*              */
                    _UBYTE TGIEF:1;             /*   TGIEF      */
                    _UBYTE TGIEE:1;             /*   TGIEE      */
                    } BIT;                      /*              */
             } TIER2_0;                         /*              */
       union {                                  /* TSR2_0       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE TGFF:1;              /*   TGFF       */
                    _UBYTE TGFE:1;              /*   TGFE       */
                    } BIT;                      /*              */
             } TSR2_0;                          /*              */
       union {                                  /* TBTM_0       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :5;                  /*              */
                    _UBYTE TTSE:1;              /*   TTSE       */
                    _UBYTE TTSB:1;              /*   TTSB       */
                    _UBYTE TTSA:1;              /*   TTSA       */
                    } BIT;                      /*              */
             } TBTM_0;                          /*              */
       _UBYTE wk14[89];                         /*              */
       union {                                  /* TCR_1        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE CCLR:2;              /*   CCLR       */
                    _UBYTE CKEG:2;              /*   CKEG       */
                    _UBYTE TPSC:3;              /*   TPSC       */
                    } BIT;                      /*              */
             } TCR_1;                           /*              */
       union {                                  /* TMDR_1       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :4;                  /*              */
                    _UBYTE MD:4;                /*   MD         */
                    } BIT;                      /*              */
             } TMDR_1;                          /*              */
       union {                                  /* TIOR_1       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE IOB:4;               /*   IOB        */
                    _UBYTE IOA:4;               /*   IOA        */
                    } BIT;                      /*              */
             } TIOR_1;                          /*              */
       _UBYTE wk15[1];                          /*              */
       union {                                  /* TIER_1       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TTGE:1;              /*   TTGE       */
                    _UBYTE :1;                  /*              */
                    _UBYTE TCIEU:1;             /*   TCIEU      */
                    _UBYTE TCIEV:1;             /*   TCIEV      */
                    _UBYTE :2;                  /*              */
                    _UBYTE TGIEB:1;             /*   TGIEB      */
                    _UBYTE TGIEA:1;             /*   TGIEA      */
                    } BIT;                      /*              */
             } TIER_1;                          /*              */
       union {                                  /* TSR_1        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE TCFD:1;              /*   TCFD       */
                    _UBYTE :1;                  /*              */
                    _UBYTE TCFU:1;              /*   TCFU       */
                    _UBYTE TCFV:1;              /*   TCFV       */
                    _UBYTE TGFD:1;              /*   TGFD       */
                    _UBYTE TGFC:1;              /*   TGFC       */
                    _UBYTE TGFB:1;              /*   TGFB       */
                    _UBYTE TGFA:1;              /*   TGFA       */
                    } BIT;                      /*              */
             } TSR_1;                           /*              */
       union {                                  /* TCNT_1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TCNT_1;                          /*              */
       union {                                  /* TGRA_1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRA_1;                          /*              */
       union {                                  /* TGRB_1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } TGRB_1;                          /*              */
       _UBYTE wk16[4];                          /*              */
       union {                                  /* TICCR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE :4;                  /*              */
                    _UBYTE I2BE:1;              /*   I2BE       */
                    _UBYTE I2AE:1;              /*   I2AE       */
                    _UBYTE I1BE:1;              /*   I1BE       */
                    _UBYTE I1AE:1;              /*   I1AE       */
                    } BIT;                      /*              */
             } TICCR;                           /*              */
};                                              /*              */
struct st_cmt {                                 /* struct CMT   */
       union {                                  /* CMSTR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :14;                 /*              */
                    _UWORD STR1:1;              /*   STR1       */
                    _UWORD STR0:1;              /*   STR0       */
                    } BIT;                      /*              */
             } CMSTR;                           /*              */
       union {                                  /* CMCSR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD CMF:1;               /*   CMF        */
                    _UWORD CMIE:1;              /*   CMIE       */
                    _UWORD :4;                  /*              */
                    _UWORD CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } CMCSR0;                          /*              */
       union {                                  /* CMCNT0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCNT0;                          /*              */
       union {                                  /* CMCOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCOR0;                          /*              */
       union {                                  /* CMCSR1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD CMF:1;               /*   CMF        */
                    _UWORD CMIE:1;              /*   CMIE       */
                    _UWORD :4;                  /*              */
                    _UWORD CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } CMCSR1;                          /*              */
       union {                                  /* CMCNT1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCNT1;                          /*              */
       union {                                  /* CMCOR1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } CMCOR1;                          /*              */
};                                              /*              */
struct st_scif02 {                              /* struct SCIF  */
       union {                                  /* SCSMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD CA:1;                /*   C/A        */
                    _UWORD CHR:1;               /*   CHR        */
                    _UWORD PE:1;                /*   PE         */
                    _UWORD OE:1;                /*   O/E        */
                    _UWORD STOP:1;              /*   STOP       */
                    _UWORD :1;                  /*              */
                    _UWORD CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } SCSMR;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* SCBRR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCBRR;                           /*              */
       _UBYTE wk1[3];                           /*              */
       union {                                  /* SCSCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD TIE:1;               /*   TIE        */
                    _UWORD RIE:1;               /*   RIE        */
                    _UWORD TE:1;                /*   TE         */
                    _UWORD RE:1;                /*   RE         */
                    _UWORD REIE:1;              /*   REIE       */
                    _UWORD :1;                  /*              */
                    _UWORD CKE:2;               /*   CKE        */
                    } BIT;                      /*              */
             } SCSCR;                           /*              */
       _UBYTE wk2[2];                           /*              */
       union {                                  /* SCFTDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFTDR;                          /*              */
       _UBYTE wk3[3];                           /*              */
       union {                                  /* SCFSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD PERN:4;              /*   PERN       */
                    _UWORD FERN:4;              /*   FERN       */
                    _UWORD ER:1;                /*   ER         */
                    _UWORD TEND:1;              /*   TEND       */
                    _UWORD TDFE:1;              /*   TDFE       */
                    _UWORD BRK:1;               /*   BRK        */
                    _UWORD FER:1;               /*   FER        */
                    _UWORD PER:1;               /*   PER        */
                    _UWORD RDF:1;               /*   RDF        */
                    _UWORD DR:1;                /*   DR         */
                    } BIT;                      /*              */
             } SCFSR;                           /*              */
       _UBYTE wk4[2];                           /*              */
       union {                                  /* SCFRDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFRDR;                          /*              */
       _UBYTE wk5[3];                           /*              */
       union {                                  /* SCFCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :5;                  /*              */
                    _UWORD RSTRG:3;             /*   RSTRG      */
                    _UWORD RTRG:2;              /*   RTRG       */
                    _UWORD TTRG:2;              /*   TTRG       */
                    _UWORD MCE:1;               /*   MCE        */
                    _UWORD TFRST:1;             /*   TFRST      */
                    _UWORD RFRST:1;             /*   RFRST      */
                    _UWORD LOOP:1;              /*   LOOP       */
                    } BIT;                      /*              */
             } SCFCR;                           /*              */
       _UBYTE wk6[2];                           /*              */
       union {                                  /* SCFDR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :3;                  /*              */
                    _UWORD T:5;                 /*   T          */
                    _UWORD :3;                  /*              */
                    _UWORD R:5;                 /*   R          */
                    } BIT;                      /*              */
             } SCFDR;                           /*              */
       _UBYTE wk7[2];                           /*              */
       union {                                  /* SCSPTR       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :12;                 /*              */
                    _UWORD SCKIO:1;             /*   SCKIO      */
                    _UWORD SCKDT:1;             /*   SCKDT      */
                    _UWORD SPB2IO:1;            /*   SPB2IO     */
                    _UWORD SPB2DT:1;            /*   SPB2DT     */
                    } BIT;                      /*              */
             } SCSPTR;                          /*              */
       _UBYTE wk8[2];                           /*              */
       union {                                  /* SCLSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :15;                 /*              */
                    _UWORD ORER:1;              /*   ORER       */
                    } BIT;                      /*              */
             } SCLSR;                           /*              */
       _UBYTE wk9[2];                           /*              */
       union {                                  /* SCEMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD BGDM:1;              /*   BGDM       */
                    _UWORD :6;                  /*              */
                    _UWORD ABCS:1;              /*   ABCS       */
                    } BIT;                      /*              */
             } SCEMR;                           /*              */
};                                              /*              */
struct st_scif4567 {                            /* struct SCIF  */
       union {                                  /* SCSMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD CA:1;                /*   C/A        */
                    _UWORD CHR:1;               /*   CHR        */
                    _UWORD PE:1;                /*   PE         */
                    _UWORD OE:1;                /*   O/E        */
                    _UWORD STOP:1;              /*   STOP       */
                    _UWORD :1;                  /*              */
                    _UWORD CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } SCSMR;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* SCBRR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCBRR;                           /*              */
       _UBYTE wk1[3];                           /*              */
       union {                                  /* SCSCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD TIE:1;               /*   TIE        */
                    _UWORD RIE:1;               /*   RIE        */
                    _UWORD TE:1;                /*   TE         */
                    _UWORD RE:1;                /*   RE         */
                    _UWORD REIE:1;              /*   REIE       */
                    _UWORD :1;                  /*              */
                    _UWORD CKE:2;               /*   CKE        */
                    } BIT;                      /*              */
             } SCSCR;                           /*              */
       _UBYTE wk2[2];                           /*              */
       union {                                  /* SCFTDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFTDR;                          /*              */
       _UBYTE wk3[3];                           /*              */
       union {                                  /* SCFSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD PERN:4;              /*   PERN       */
                    _UWORD FERN:4;              /*   FERN       */
                    _UWORD ER:1;                /*   ER         */
                    _UWORD TEND:1;              /*   TEND       */
                    _UWORD TDFE:1;              /*   TDFE       */
                    _UWORD BRK:1;               /*   BRK        */
                    _UWORD FER:1;               /*   FER        */
                    _UWORD PER:1;               /*   PER        */
                    _UWORD RDF:1;               /*   RDF        */
                    _UWORD DR:1;                /*   DR         */
                    } BIT;                      /*              */
             } SCFSR;                           /*              */
       _UBYTE wk4[2];                           /*              */
       union {                                  /* SCFRDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFRDR;                          /*              */
       _UBYTE wk5[3];                           /*              */
       union {                                  /* SCFCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :5;                  /*              */
                    _UWORD RSTRG:3;             /*   RSTRG      */
                    _UWORD RTRG:2;              /*   RTRG       */
                    _UWORD TTRG:2;              /*   TTRG       */
                    _UWORD MCE:1;               /*   MCE        */
                    _UWORD TFRST:1;             /*   TFRST      */
                    _UWORD RFRST:1;             /*   RFRST      */
                    _UWORD LOOP:1;              /*   LOOP       */
                    } BIT;                      /*              */
             } SCFCR;                           /*              */
       _UBYTE wk6[2];                           /*              */
       union {                                  /* SCFDR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :3;                  /*              */
                    _UWORD T:5;                 /*   T          */
                    _UWORD :3;                  /*              */
                    _UWORD R:5;                 /*   R          */
                    } BIT;                      /*              */
             } SCFDR;                           /*              */
       _UBYTE wk7[2];                           /*              */
       union {                                  /* SCSPTR       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :14;                 /*              */
                    _UWORD SPB2IO:1;            /*   SPB2IO     */
                    _UWORD SPB2DT:1;            /*   SPB2DT     */
                    } BIT;                      /*              */
             } SCSPTR;                          /*              */
       _UBYTE wk8[2];                           /*              */
       union {                                  /* SCLSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :15;                 /*              */
                    _UWORD ORER:1;              /*   ORER       */
                    } BIT;                      /*              */
             } SCLSR;                           /*              */
       _UBYTE wk9[2];                           /*              */
       union {                                  /* SCEMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD BGDM:1;              /*   BGDM       */
                    _UWORD :6;                  /*              */
                    _UWORD ABCS:1;              /*   ABCS       */
                    } BIT;                      /*              */
             } SCEMR;                           /*              */
};                                              /*              */
struct st_scif13 {                              /* struct SCIF  */
       union {                                  /* SCSMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD CA:1;                /*   C/A        */
                    _UWORD CHR:1;               /*   CHR        */
                    _UWORD PE:1;                /*   PE         */
                    _UWORD OE:1;                /*   O/E        */
                    _UWORD STOP:1;              /*   STOP       */
                    _UWORD :1;                  /*              */
                    _UWORD CKS:2;               /*   CKS        */
                    } BIT;                      /*              */
             } SCSMR;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* SCBRR        */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCBRR;                           /*              */
       _UBYTE wk1[3];                           /*              */
       union {                                  /* SCSCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD TIE:1;               /*   TIE        */
                    _UWORD RIE:1;               /*   RIE        */
                    _UWORD TE:1;                /*   TE         */
                    _UWORD RE:1;                /*   RE         */
                    _UWORD REIE:1;              /*   REIE       */
                    _UWORD :1;                  /*              */
                    _UWORD CKE:2;               /*   CKE        */
                    } BIT;                      /*              */
             } SCSCR  ;                         /*              */
       _UBYTE wk2[2];                           /*              */
       union {                                  /* SCFTDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFTDR;                          /*              */
       _UBYTE wk3[3];                           /*              */
       union {                                  /* SCFSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD PERN:4;              /*   PERN       */
                    _UWORD FERN:4;              /*   FERN       */
                    _UWORD ER:1;                /*   ER         */
                    _UWORD TEND:1;              /*   TEND       */
                    _UWORD TDFE:1;              /*   TDFE       */
                    _UWORD BRK:1;               /*   BRK        */
                    _UWORD FER:1;               /*   FER        */
                    _UWORD PER:1;               /*   PER        */
                    _UWORD RDF:1;               /*   RDF        */
                    _UWORD DR:1;                /*   DR         */
                    } BIT;                      /*              */
             } SCFSR  ;                         /*              */
       _UBYTE wk4[2];                           /*              */
       union {                                  /* SCFRDR       */
             _UBYTE BYTE;                       /*  Byte Access */
             struct {                           /*  Bit Access  */
                    _UBYTE D:8;                 /*   D          */
                    } BIT;                      /*              */
             } SCFRDR;                          /*              */
       _UBYTE wk5[3];                           /*              */
       union {                                  /* SCFCR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :5;                  /*              */
                    _UWORD RSTRG:3;             /*   RSTRG      */
                    _UWORD RTRG:2;              /*   RTRG       */
                    _UWORD TTRG:2;              /*   TTRG       */
                    _UWORD MCE:1;               /*   MCE        */
                    _UWORD TFRST:1;             /*   TFRST      */
                    _UWORD RFRST:1;             /*   RFRST      */
                    _UWORD LOOP:1;              /*   LOOP       */
                    } BIT;                      /*              */
             } SCFCR;                           /*              */
       _UBYTE wk6[2];                           /*              */
       union {                                  /* SCFDR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :3;                  /*              */
                    _UWORD T:5;                 /*   T          */
                    _UWORD :3;                  /*              */
                    _UWORD R:5;                 /*   R          */
                    } BIT;                      /*              */
             } SCFDR;                           /*              */
       _UBYTE wk7[2];                           /*              */
       union {                                  /* SCSPTR       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD RTSIO:1;             /*   RTSIO      */
                    _UWORD RTSDT:1;             /*   RTSDT      */
                    _UWORD CTSIO:1;             /*   CTSIO      */
                    _UWORD CTSDT:1;             /*   CTSDT      */
                    _UWORD SCKIO:1;             /*   SCKIO      */
                    _UWORD SCKDT:1;             /*   SCKDT      */
                    _UWORD SPB2IO:1;            /*   SPB2IO     */
                    _UWORD SPB2DT:1;            /*   SPB2DT     */
                    } BIT;                      /*              */
             } SCSPTR;                          /*              */
       _UBYTE wk8[2];                           /*              */
       union {                                  /* SCLSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :15;                 /*              */
                    _UWORD ORER:1;              /*   ORER       */
                    } BIT;                      /*              */
             } SCLSR;                           /*              */
       _UBYTE wk9[2];                           /*              */
       union {                                  /* SCEMR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :8;                  /*              */
                    _UWORD BGDM:1;              /*   BGDM       */
                    _UWORD :6;                  /*              */
                    _UWORD ABCS:1;              /*   ABCS       */
                    } BIT;                      /*              */
             } SCEMR;                           /*              */
};                                              /*              */
struct st_ssif {                                /* struct SSIF  */
       union {                                  /* SSICR        */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :1;                 /*              */
                    _UDWORD CKS:1;              /*   CKS        */
                    _UDWORD TUIEN:1;            /*   TUIEN      */
                    _UDWORD TOIEN:1;            /*   TOIEN      */
                    _UDWORD RUIEN:1;            /*   RUIEN      */
                    _UDWORD ROIEN:1;            /*   ROIEN      */
                    _UDWORD IIEN:1;             /*   IIEN       */
                    _UDWORD :1;                 /*              */
                    _UDWORD CHNL:2;             /*   CHNL       */
                    _UDWORD DWL:3;              /*   DWL        */
                    _UDWORD SWL:3;              /*   SWL        */
                    _UDWORD SCKD:1;             /*   SCKD       */
                    _UDWORD SWSD:1;             /*   SWSD       */
                    _UDWORD SCKP:1;             /*   SCKP       */
                    _UDWORD SWSP:1;             /*   SWSP       */
                    _UDWORD SPDP:1;             /*   SPDP       */
                    _UDWORD SDTA:1;             /*   SDTA       */
                    _UDWORD PDTA:1;             /*   PDTA       */
                    _UDWORD DEL:1;              /*   DEL        */
                    _UDWORD CKDV:4;             /*   CKDV       */
                    _UDWORD MUEN:1;             /*   MUEN       */
                    _UDWORD :1;                 /*              */
                    _UDWORD TEN:1;              /*   TEN        */
                    _UDWORD REN:1;              /*   REN        */
                    } BIT;                      /*              */
             } SSICR;                           /*              */
       union {                                  /* SSISR        */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Word Access */
                    _UWORD H;                   /*   High       */
                    _UWORD L;                   /*   Low        */
                    } WORD;                     /*              */
             struct {                           /*  Byte Access */
                    _UBYTE HH;                  /*   High, High */
                    _UBYTE HL;                  /*   High, Low  */
                    _UBYTE LH;                  /*   Low, High  */
                    _UBYTE LL;                  /*   Low, Low   */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UDWORD :2;                 /*              */
                    _UDWORD TUIRQ:1;            /*   TUIRQ      */
                    _UDWORD TOIRQ:1;            /*   TOIRQ      */
                    _UDWORD RUIRQ:1;            /*   RUIRQ      */
                    _UDWORD ROIRQ:1;            /*   ROIRQ      */
                    _UDWORD IIRQ:1;             /*   IIRQ       */
                    _UDWORD :18;                /*              */
                    _UDWORD TCHNO:2;            /*   TCHNO      */
                    _UDWORD TSWNO:1;            /*   TSWNO      */
                    _UDWORD RCHNO:2;            /*   RCHNO      */
                    _UDWORD RSWNO:1;            /*   RSWNO      */
                    _UDWORD IDST:1;             /*   IDST       */
                    } BIT;                      /*              */
             } SSISR;                           /*              */
       _UBYTE wk0[8];                           /*              */
       union {                                  /* SSIFCR       */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :24;                /*              */
                    _UDWORD TTRG:2;             /*   TTRG       */
                    _UDWORD RTRG:2;             /*   RTRG       */
                    _UDWORD TIE:1;              /*   TIE        */
                    _UDWORD RIE:1;              /*   RIE        */
                    _UDWORD TFRST:1;            /*   TFRST      */
                    _UDWORD RFRST:1;            /*   RFRST      */
                    } BIT;                      /*              */
             } SSIFCR;                          /*              */
       union {                                  /* SSIFSR       */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :4;                 /*              */
                    _UDWORD TDC:4;              /*   TDC        */
                    _UDWORD :7;                 /*              */
                    _UDWORD TDE:1;              /*   TDE        */
                    _UDWORD :4;                 /*              */
                    _UDWORD RDC:4;              /*   RDC        */
                    _UDWORD :7;                 /*              */
                    _UDWORD RDF:1;              /*   RDF        */
                    } BIT;                      /*              */
             } SSIFSR;                          /*              */
       _UDWORD SSIFTDR;                         /* SSIFTDR      */
       _UDWORD SSIFRDR;                         /* SSIFRDR      */
};                                              /*              */
union un_mb3116{                                /* MB31-MB16    */
      _UWORD WORD;                              /*  Word Access */
      struct {                                  /*  Bit Access  */
             _UWORD MB31:1;                     /*   MB31       */
             _UWORD MB30:1;                     /*   MB30       */
             _UWORD MB29:1;                     /*   MB29       */
             _UWORD MB28:1;                     /*   MB28       */
             _UWORD MB27:1;                     /*   MB27       */
             _UWORD MB26:1;                     /*   MB26       */
             _UWORD MB25:1;                     /*   MB25       */
             _UWORD MB24:1;                     /*   MB24       */
             _UWORD MB23:1;                     /*   MB23       */
             _UWORD MB22:1;                     /*   MB22       */
             _UWORD MB21:1;                     /*   MB21       */
             _UWORD MB20:1;                     /*   MB20       */
             _UWORD MB19:1;                     /*   MB19       */
             _UWORD MB18:1;                     /*   MB18       */
             _UWORD MB17:1;                     /*   MB17       */
             _UWORD MB16:1;                     /*   MB16       */
             } BIT;                             /*              */
};
union un_mb15_0{                                /* MB15-MB0     */
      _UWORD WORD;                              /*  Word Access */
      struct {                                  /*  Bit Access  */
             _UWORD MB15:1;                     /*   MB15       */
             _UWORD MB14:1;                     /*   MB14       */
             _UWORD MB13:1;                     /*   MB13       */
             _UWORD MB12:1;                     /*   MB12       */
             _UWORD MB11:1;                     /*   MB11       */
             _UWORD MB10:1;                     /*   MB10       */
             _UWORD MB9:1;                      /*   MB9        */
             _UWORD MB8:1;                      /*   MB8        */
             _UWORD MB7:1;                      /*   MB7        */
             _UWORD MB6:1;                      /*   MB6        */
             _UWORD MB5:1;                      /*   MB5        */
             _UWORD MB4:1;                      /*   MB4        */
             _UWORD MB3:1;                      /*   MB3        */
             _UWORD MB2:1;                      /*   MB2        */
             _UWORD MB1:1;                      /*   MB1        */
             _UWORD MB0:1;                      /*   MB0        */
             } BIT;                             /*              */
};
union un_mb15_1{                                /* MB15-MB1     */
      _UWORD WORD;                              /*  Word Access */
      struct {                                  /*  Bit Access  */
             _UWORD MB15:1;                     /*   MB15       */
             _UWORD MB14:1;                     /*   MB14       */
             _UWORD MB13:1;                     /*   MB13       */
             _UWORD MB12:1;                     /*   MB12       */
             _UWORD MB11:1;                     /*   MB11       */
             _UWORD MB10:1;                     /*   MB10       */
             _UWORD MB9:1;                      /*   MB9        */
             _UWORD MB8:1;                      /*   MB8        */
             _UWORD MB7:1;                      /*   MB7        */
             _UWORD MB6:1;                      /*   MB6        */
             _UWORD MB5:1;                      /*   MB5        */
             _UWORD MB4:1;                      /*   MB4        */
             _UWORD MB3:1;                      /*   MB3        */
             _UWORD MB2:1;                      /*   MB2        */
             _UWORD MB1:1;                      /*   MB1        */
             _UWORD :1;                         /*              */
             } BIT;                             /*              */
};
struct st_spdif {                               /* struct SPDIF */
       _UDWORD TLCA;                            /* TLCA         */
       _UDWORD TRCA;                            /* TRCA         */
       union {                                  /* TLCS         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :2;                 /*              */
                    _UDWORD CLAC:2;             /*   CLAC       */
                    _UDWORD FS:4;               /*   FS         */
                    _UDWORD CHNO:4;             /*   CHNO       */
                    _UDWORD SRCNO:4;            /*   SRCNO      */
                    _UDWORD CATCD:8;            /*   CATCD      */
                    _UDWORD :2;                 /*              */
                    _UDWORD CTL:5;              /*   CTL        */
                    _UDWORD :1;                 /*              */
                    } BIT;                      /*              */
             } TLCS;                            /*              */
       union {                                  /* TRCS         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :2;                 /*              */
                    _UDWORD CLAC:2;             /*   CLAC       */
                    _UDWORD FS:4;               /*   FS         */
                    _UDWORD CHNO:4;             /*   CHNO       */
                    _UDWORD SRCNO:4;            /*   SRCNO      */
                    _UDWORD CATCD:8;            /*   CATCD      */
                    _UDWORD :2;                 /*              */
                    _UDWORD CTL:5;              /*   CTL        */
                    _UDWORD :1;                 /*              */
                    } BIT;                      /*              */
             } TRCS;                            /*              */
       _UDWORD TUI;                             /* TUI          */
       _UDWORD RLCA;                            /* RLCA         */
       _UDWORD RRCA;                            /* RRCA         */
       union {                                  /* RLCS         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :2;                 /*              */
                    _UDWORD CLAC:2;             /*   CLAC       */
                    _UDWORD FS:4;               /*   FS         */
                    _UDWORD CHNO:4;             /*   CHNO       */
                    _UDWORD SRCNO:4;            /*   SRCNO      */
                    _UDWORD CATCD:8;            /*   CATCD      */
                    _UDWORD :2;                 /*              */
                    _UDWORD CTL:5;              /*   CTL        */
                    _UDWORD :1;                 /*              */
                    } BIT;                      /*              */
             } RLCS;                            /*              */
       union {                                  /* RRCS         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :2;                 /*              */
                    _UDWORD CLAC:2;             /*   CLAC       */
                    _UDWORD FS:4;               /*   FS         */
                    _UDWORD CHNO:4;             /*   CHNO       */
                    _UDWORD SRCNO:4;            /*   SRCNO      */
                    _UDWORD CATCD:8;            /*   CATCD      */
                    _UDWORD :2;                 /*              */
                    _UDWORD CTL:5;              /*   CTL        */
                    _UDWORD :1;                 /*              */
                    } BIT;                      /*              */
             } RRCS;                            /*              */
       _UDWORD RUI;                             /* RUI          */
       union {                                  /* CTRL         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :3;                 /*              */
                    _UDWORD CKS:1;              /*   CKS        */
                    _UDWORD :1;                 /*              */
                    _UDWORD PB:1;               /*   PB         */
                    _UDWORD RASS:2;             /*   RASS       */
                    _UDWORD TASS:2;             /*   TASS       */
                    _UDWORD RDE:1;              /*   RDE        */
                    _UDWORD TDE:1;              /*   TDE        */
                    _UDWORD NCSI:1;             /*   NCSI       */
                    _UDWORD AOS:1;              /*   AOS        */
                    _UDWORD RME:1;              /*   RME        */
                    _UDWORD TME:1;              /*   TME        */
                    _UDWORD REIE:1;             /*   REIE       */
                    _UDWORD TEIE:1;             /*   TEIE       */
                    _UDWORD UBOI:1;             /*   UBOI       */
                    _UDWORD UBUI:1;             /*   UBUI       */
                    _UDWORD CREI:1;             /*   CREI       */
                    _UDWORD PAEI:1;             /*   PAEI       */
                    _UDWORD PREI:1;             /*   PREI       */
                    _UDWORD CSEI:1;             /*   CSEI       */
                    _UDWORD ABOI:1;             /*   ABOI       */
                    _UDWORD ABUI:1;             /*   ABUI       */
                    _UDWORD RUII:1;             /*   RUII       */
                    _UDWORD TUII:1;             /*   TUII       */
                    _UDWORD RCSI:1;             /*   RCSI       */
                    _UDWORD RCBI:1;             /*   RCBI       */
                    _UDWORD TCSI:1;             /*   TCSI       */
                    _UDWORD TCBI:1;             /*   TCBI       */
                    } BIT;                      /*              */
             } CTRL;                            /*              */
       union {                                  /* STAT         */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Bit Access  */
                    _UDWORD :15;                /*              */
                    _UDWORD CMD:1;              /*   CMD        */
                    _UDWORD RIS:1;              /*   RIS        */
                    _UDWORD TIS:1;              /*   TIS        */
                    _UDWORD UBO:1;              /*   UBO        */
                    _UDWORD UBU:1;              /*   UBU        */
                    _UDWORD CE:1;               /*   CE         */
                    _UDWORD PARE:1;             /*   PARE       */
                    _UDWORD PREE:1;             /*   PREE       */
                    _UDWORD CSE:1;              /*   CSE        */
                    _UDWORD ABO:1;              /*   ABO        */
                    _UDWORD ABU:1;              /*   ABU        */
                    _UDWORD RUIR:1;             /*   RUIR       */
                    _UDWORD TUIR:1;             /*   TUIR       */
                    _UDWORD CSRX:1;             /*   CSRX       */
                    _UDWORD CBRX:1;             /*   CBRX       */
                    _UDWORD CSTX:1;             /*   CSTX       */
                    _UDWORD CBTX:1;             /*   CBTX       */
                    } BIT;                      /*              */
             } STAT;                            /*              */
       _UDWORD TDAD;                            /* TDAD         */
       _UDWORD RDAD;                            /* RDAD         */
};                                              /*              */
struct st_adc {                                 /* struct ADC   */
       union {                                  /* ADDRA        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } ADDRA;                           /*              */
       union {                                  /* ADDRB        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } ADDRB;                           /*              */
       union {                                  /* ADDRC        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } ADDRC;                           /*              */
       union {                                  /* ADDRD        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD D:16;                /*   D          */
                    } BIT;                      /*              */
             } ADDRD;                           /*              */
       _UBYTE wk0[24];                          /*              */
       union {                                  /* ADCSR        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD ADF:1;               /*   ADF        */
                    _UWORD ADIE:1;              /*   ADIE       */
                    _UWORD ADST:1;              /*   ADST       */
                    _UWORD TRGS:4;              /*   TRGS       */
                    _UWORD CKS:3;               /*   CKS        */
                    _UWORD MDS:3;               /*   MDS        */
                    _UWORD :1;                  /*              */
                    _UWORD CH:2;                /*   CH         */
                    } BIT;                      /*              */
             } ADCSR;                           /*              */
};                                              /*              */
struct st_src0 {                                /* struct SRC0  */
       union {                                  /* SRCID        */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Word Access */
                    _UWORD H;                   /*   High       */
                    _UWORD L;                   /*   Low        */
                    } WORD;                     /*              */
             } SRCID;                           /*              */
       union {                                  /* SRCOD        */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Word Access */
                    _UWORD H;                   /*   High       */
                    _UWORD L;                   /*   Low        */
                    } WORD;                     /*              */
             } SRCOD;                           /*              */
       union {                                  /* SRCIDCTRL    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :6;                  /*              */
                    _UWORD IED:1;               /*   IED        */
                    _UWORD IEN:1;               /*   IEN        */
                    _UWORD :6;                  /*              */
                    _UWORD IFTRG:2;             /*   IFTRG      */
                    } BIT;                      /*              */
             } SRCIDCTRL;                       /*              */
       union {                                  /* SRCODCTRL    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :5;                  /*              */
                    _UWORD OCH:1;               /*   OCH        */
                    _UWORD OED:1;               /*   OED        */
                    _UWORD OEN:1;               /*   OEN        */
                    _UWORD :6;                  /*              */
                    _UWORD OFTRG:2;             /*   OFTRG      */
                    } BIT;                      /*              */
             } SRCODCTRL;                       /*              */
       union {                                  /* SRCCTRL      */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :2;                  /*              */
                    _UWORD CEEN:1;              /*   CEEN       */
                    _UWORD SRCEN:1;             /*   SRCEN      */
                    _UWORD UDEN:1;              /*   UDEN       */
                    _UWORD OVEN:1;              /*   OVEN       */
                    _UWORD FL:1;                /*   FL         */
                    _UWORD CL:1;                /*   CL         */
                    _UWORD IFS:4;               /*   IFS        */
                    _UWORD :3;                  /*              */
                    _UWORD OFS:1;               /*   OFS        */
                    } BIT;                      /*              */
             } SRCCTRL;                         /*              */
       union {                                  /* SRCSTAT      */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD OFDN:5;              /*   OFDN       */
                    _UWORD IFDN:4;              /*   IFDN       */
                    _UWORD :1;                  /*              */
                    _UWORD CEF:1;               /*   CEF        */
                    _UWORD FLF:1;               /*   FLF        */
                    _UWORD UDF:1;               /*   UDF        */
                    _UWORD OVF:1;               /*   OVF        */
                    _UWORD IINT:1;              /*   IINT       */
                    _UWORD OINT:1;              /*   OINT       */
                    } BIT;                      /*              */
             } SRCSTAT;                         /*              */
};                                              /*              */
struct st_src1 {                                /* struct SRC1  */
       union {                                  /* SRCID        */
             _UWORD WORD;                       /*  Word Access */
             } SRCID;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* SRCOD        */
             _UDWORD LONG;                      /*  Long Access */
             struct {                           /*  Word Access */
                    _UWORD H;                   /*   High       */
                    _UWORD L;                   /*   Low        */
                    } WORD;                     /*              */
             } SRCOD;                           /*              */
       union {                                  /* SRCIDCTRL    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :6;                  /*              */
                    _UWORD IED:1;               /*   IED        */
                    _UWORD IEN:1;               /*   IEN        */
                    _UWORD :6;                  /*              */
                    _UWORD IFTRG:2;             /*   IFTRG      */
                    } BIT;                      /*              */
             } SRCIDCTRL;                       /*              */
       union {                                  /* SRCODCTRL    */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :5;                  /*              */
                    _UWORD OCH:1;               /*   OCH        */
                    _UWORD OED:1;               /*   OED        */
                    _UWORD OEN:1;               /*   OEN        */
                    _UWORD :6;                  /*              */
                    _UWORD OFTRG:2;             /*   OFTRG      */
                    } BIT;                      /*              */
             } SRCODCTRL;                       /*              */
       union {                                  /* SRCCTRL      */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :2;                  /*              */
                    _UWORD CEEN:1;              /*   CEEN       */
                    _UWORD SRCEN:1;             /*   SRCEN      */
                    _UWORD UDEN:1;              /*   UDEN       */
                    _UWORD OVEN:1;              /*   OVEN       */
                    _UWORD FL:1;                /*   FL         */
                    _UWORD CL:1;                /*   CL         */
                    _UWORD :7;                  /*              */
                    _UWORD OFS:1;               /*   OFS        */
                    } BIT;                      /*              */
             } SRCCTRL;                         /*              */
       union {                                  /* SRCSTAT      */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Bit Access  */
                    _UWORD :2;                  /*              */
                    _UWORD OFDN:3;              /*   OFDN       */
                    _UWORD IFDN:4;              /*   IFDN       */
                    _UWORD :1;                  /*              */
                    _UWORD CEF:1;               /*   CEF        */
                    _UWORD FLF:1;               /*   FLF        */
                    _UWORD UDF:1;               /*   UDF        */
                    _UWORD OVF:1;               /*   OVF        */
                    _UWORD IINT:1;              /*   IINT       */
                    _UWORD OINT:1;              /*   OINT       */
                    } BIT;                      /*              */
             } SRCSTAT;                         /*              */
};                                              /*              */
struct st_gpio {                                /* struct GPIO  */
       union {                                  /* PAIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PA3IOR:1;            /*   PA3IOR     */
                    _UBYTE PA2IOR:1;            /*   PA2IOR     */
                    _UBYTE PA1IOR:1;            /*   PA1IOR     */
                    _UBYTE PA0IOR:1;            /*   PA0IOR     */
                    } BIT;                      /*              */
             } PAIOR0;                          /*              */
       union {                                  /* PADR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE PA3DR:1;             /*   PA3DR      */
                    _UBYTE :7;                  /*              */
                    _UBYTE PA2DR:1;             /*   PA2DR      */
                    } BIT;                      /*              */
             } PADR1;                           /*              */
       union {                                  /* PADR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE PA1DR:1;             /*   PA1DR      */
                    _UBYTE :7;                  /*              */
                    _UBYTE PA0DR:1;             /*   PA0DR      */
                    } BIT;                      /*              */
             } PADR0;                           /*              */
       _UBYTE wk0[2];                           /*              */
       union {                                  /* PAPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PA3PR:1;             /*   PA3PR      */
                    _UBYTE PA2PR:1;             /*   PA2PR      */
                    _UBYTE PA1PR:1;             /*   PA1PR      */
                    _UBYTE PA0PR:1;             /*   PA0PR      */
                    } BIT;                      /*              */
             } PAPR0;                           /*              */
       _UBYTE wk1[8];                           /*              */
       union {                                  /* PBCR5        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :6;                  /*              */
                    _UBYTE PB22MD:2 ;           /*   PB22MD     */
                    _UBYTE :3;                  /*              */
                    _UBYTE PB21MD:1;            /*   PB21MD     */
                    _UBYTE :3;                  /*              */
                    _UBYTE PB20MD:1;            /*   PB20MD     */
                    } BIT;                      /*              */
             } PBCR5;                           /*              */
       union {                                  /* PBCR4        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB19MD:2;            /*   PB19MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB18MD:2;            /*   PB18MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB17MD:2;            /*   PB17MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB16MD:2;            /*   PB16MD     */
                    } BIT;                      /*              */
             } PBCR4;                           /*              */
       union {                                  /* PBCR3        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB15MD:2;            /*   PB15MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB14MD:2;            /*   PB14MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB13MD:2;            /*   PB13MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB12MD:2;            /*   PB12MD     */
                    } BIT;                      /*              */
             } PBCR3;                           /*              */
       union {                                  /* PBCR2        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB11MD:2;            /*   PB11MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB10MD:2;            /*   PB10MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB9MD:2;             /*   PB9MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB8MD:2;             /*   PB8MD      */
                    } BIT;                      /*              */
             } PBCR2;                           /*              */
       union {                                  /* PBCR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB7MD:2;             /*   PB7MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB6MD:2;             /*   PB6MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB5MD:2;             /*   PB5MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PB4MD:2;             /*   PB4MD      */
                    } BIT;                      /*              */
             } PBCR1;                           /*              */
       union {                                  /* PBCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PB3MD:1;             /*   PB3MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PB2MD:1;             /*   PB2MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PB1MD:1;             /*   PB1MD      */
                    _UBYTE :4;                  /*              */
                    } BIT;                      /*              */
             } PBCR0;                           /*              */
       union {                                  /* PBIOR1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :1;                  /*              */
                    _UBYTE PB22IOR:1;           /*   PB22IOR    */
                    _UBYTE PB21IOR:1;           /*   PB21IOR    */
                    _UBYTE PB20IOR:1;           /*   PB20IOR    */
                    _UBYTE PB19IOR:1;           /*   PB19IOR    */
                    _UBYTE PB18IOR:1;           /*   PB18IOR    */
                    _UBYTE PB17IOR:1;           /*   PB17IOR    */
                    _UBYTE PB16IOR:1;           /*   PB16IOR    */
                    } BIT;                      /*              */
             } PBIOR1;                          /*              */
       union {                                  /* PBIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PB15IOR:1;           /*   PB15IOR    */
                    _UBYTE PB14IOR:1;           /*   PB14IOR    */
                    _UBYTE PB13IOR:1;           /*   PB13IOR    */
                    _UBYTE PB12IOR:1;           /*   PB12IOR    */
                    _UBYTE PB11IOR:1;           /*   PB11IOR    */
                    _UBYTE PB10IOR:1;           /*   PB10IOR    */
                    _UBYTE PB9IOR:1;            /*   PB9IOR     */
                    _UBYTE PB8IOR:1;            /*   PB8IOR     */
                    _UBYTE PB7IOR:1;            /*   PB7IOR     */
                    _UBYTE PB6IOR:1;            /*   PB6IOR     */
                    _UBYTE PB5IOR:1;            /*   PB5IOR     */
                    _UBYTE PB4IOR:1;            /*   PB4IOR     */
                    _UBYTE PB3IOR:1;            /*   PB3IOR     */
                    _UBYTE PB2IOR:1;            /*   PB2IOR     */
                    _UBYTE PB1IOR:1;            /*   PB1IOR     */
                    _UBYTE :1;                  /*              */
                    } BIT;                      /*              */
             } PBIOR0;                          /*              */
       union {                                  /* PBDR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :1;                  /*              */
                    _UBYTE PB22DR:1;            /*   PB22DR     */
                    _UBYTE PB21DR:1;            /*   PB21DR     */
                    _UBYTE PB20DR:1;            /*   PB20DR     */
                    _UBYTE PB19DR:1;            /*   PB19DR     */
                    _UBYTE PB18DR:1;            /*   PB18DR     */
                    _UBYTE PB17DR:1;            /*   PB17DR     */
                    _UBYTE PB16DR:1;            /*   PB16DR     */
                    } BIT;                      /*              */
             } PBDR1;                           /*              */
       union {                                  /* PBDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PB15DR:1;            /*   PB15DR     */
                    _UBYTE PB14DR:1;            /*   PB14DR     */
                    _UBYTE PB13DR:1;            /*   PB13DR     */
                    _UBYTE PB12DR:1;            /*   PB12DR     */
                    _UBYTE PB11DR:1;            /*   PB11DR     */
                    _UBYTE PB10DR:1;            /*   PB10DR     */
                    _UBYTE PB9DR:1;             /*   PB9DR      */
                    _UBYTE PB8DR:1;             /*   PB8DR      */
                    _UBYTE PB7DR:1;             /*   PB7DR      */
                    _UBYTE PB6DR:1;             /*   PB6DR      */
                    _UBYTE PB5DR:1;             /*   PB5DR      */
                    _UBYTE PB4DR:1;             /*   PB4DR      */
                    _UBYTE PB3DR:1;             /*   PB3DR      */
                    _UBYTE PB2DR:1;             /*   PB2DR      */
                    _UBYTE PB1DR:1;             /*   PB1DR      */
                    _UBYTE :1;                  /*              */
                    } BIT;                      /*              */
             } PBDR0;                           /*              */
       union {                                  /* PBPR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :1;                  /*              */
                    _UBYTE PB22PR:1;            /*   PB22PR     */
                    _UBYTE PB21PR:1;            /*   PB21PR     */
                    _UBYTE PB20PR:1;            /*   PB20PR     */
                    _UBYTE PB19PR:1;            /*   PB19PR     */
                    _UBYTE PB18PR:1;            /*   PB18PR     */
                    _UBYTE PB17PR:1;            /*   PB17PR     */
                    _UBYTE PB16PR:1;            /*   PB16PR     */
                    } BIT;                      /*              */
             } PBPR1;                           /*              */
       union {                                  /* PBPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PB15PR:1;            /*   PB15PR     */
                    _UBYTE PB14PR:1;            /*   PB14PR     */
                    _UBYTE PB13PR:1;            /*   PB13PR     */
                    _UBYTE PB12PR:1;            /*   PB12PR     */
                    _UBYTE PB11PR:1;            /*   PB11PR     */
                    _UBYTE PB10PR:1;            /*   PB10PR     */
                    _UBYTE PB9PR:1;             /*   PB9PR      */
                    _UBYTE PB8PR:1;             /*   PB8PR      */
                    _UBYTE PB7PR:1;             /*   PB7PR      */
                    _UBYTE PB6PR:1;             /*   PB6PR      */
                    _UBYTE PB5PR:1;             /*   PB5PR      */
                    _UBYTE PB4PR:1;             /*   PB4PR      */
                    _UBYTE PB3PR:1;             /*   PB3PR      */
                    _UBYTE PB2PR:1;             /*   PB2PR      */
                    _UBYTE PB1PR:1;             /*   PB1PR      */
                    _UBYTE :1;                  /*              */
                    } BIT;                      /*              */
             } PBPR0;                           /*              */
       _UBYTE wk2[14];                          /*              */
       union {                                  /* PCCR2        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :6;                  /*              */
                    _UBYTE PC8MD:2;             /*   PC8MD      */
                    } BIT;                      /*              */
             } PCCR2;                           /*              */
       union {                                  /* PCCR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PC7MD:2;             /*   PC7MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PC6MD:2;             /*   PC6MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PC5MD:2;             /*   PC5MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PC4MD:1;             /*   PC4MD      */
                    } BIT;                      /*              */
             } PCCR1;                           /*              */
       union {                                  /* PCCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PC3MD:1;             /*   PC3MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PC2MD:1;             /*   PC2MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PC1MD:1;             /*   PC1MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PC0MD:1;             /*   PC0MD      */
                    } BIT;                      /*              */
             } PCCR0;                           /*              */
       _UBYTE wk3[2];                           /*              */
       union {                                  /* PCIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE PC8IOR:1;            /*   PC8IOR     */
                    _UBYTE PC7IOR:1;            /*   PC7IOR     */
                    _UBYTE PC6IOR:1;            /*   PC6IOR     */
                    _UBYTE PC5IOR:1;            /*   PC5IOR     */
                    _UBYTE PC4IOR:1;            /*   PC4IOR     */
                    _UBYTE PC3IOR:1;            /*   PC3IOR     */
                    _UBYTE PC2IOR:1;            /*   PC2IOR     */
                    _UBYTE PC1IOR:1;            /*   PC1IOR     */
                    _UBYTE PC0IOR:1;            /*   PC0IOR     */
                    } BIT;                      /*              */
             } PCIOR0;                          /*              */
       _UBYTE wk4[2];                           /*              */
       union {                                  /* PCDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE PC8DR:1;             /*   PC8DR      */
                    _UBYTE PC7DR:1;             /*   PC7DR      */
                    _UBYTE PC6DR:1;             /*   PC6DR      */
                    _UBYTE PC5DR:1;             /*   PC5DR      */
                    _UBYTE PC4DR:1;             /*   PC4DR      */
                    _UBYTE PC3DR:1;             /*   PC3DR      */
                    _UBYTE PC2DR:1;             /*   PC2DR      */
                    _UBYTE PC1DR:1;             /*   PC1DR      */
                    _UBYTE PC0DR:1;             /*   PC0DR      */
                    } BIT;                      /*              */
             } PCDR0;                           /*              */
       _UBYTE wk5[2];                           /*              */
       union {                                  /* PCPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :7;                  /*              */
                    _UBYTE PC8PR:1;             /*   PC8PR      */
                    _UBYTE PC7PR:1;             /*   PC7PR      */
                    _UBYTE PC6PR:1;             /*   PC6PR      */
                    _UBYTE PC5PR:1;             /*   PC5PR      */
                    _UBYTE PC4PR:1;             /*   PC4PR      */
                    _UBYTE PC3PR:1;             /*   PC3PR      */
                    _UBYTE PC2PR:1;             /*   PC2PR      */
                    _UBYTE PC1PR:1;             /*   PC1PR      */
                    _UBYTE PC0PR:1;             /*   PC0PR      */
                    } BIT;                      /*              */
             } PCPR0;                           /*              */
       _UBYTE wk6[12];                          /*              */
       union {                                  /* PDCR3        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD15MD:2;            /*   PD15MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD14MD:2;            /*   PD14MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD13MD:2;            /*   PD13MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD12MD:2;            /*   PD12MD     */
                    } BIT;                      /*              */
             } PDCR3;                           /*              */
       union {                                  /* PDCR2        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD11MD:2;            /*   PD11MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD10MD:2;            /*   PD10MD     */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD9MD:2;             /*   PD9MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD8MD:2;             /*   PD8MD      */
                    } BIT;                      /*              */
             } PDCR2;                           /*              */
       union {                                  /* PDCR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD7MD:2;             /*   PD7MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD6MD:2;             /*   PD6MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD5MD:2;             /*   PD5MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD4MD:2;             /*   PD4MD      */
                    } BIT;                      /*              */
             } PDCR1;                           /*              */
       union {                                  /* PDCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD3MD:2;             /*   PD3MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD2MD:2;             /*   PD2MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD1MD:2;             /*   PD1MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PD0MD:2;             /*   PD0MD      */
                    } BIT;                      /*              */
             } PDCR0;                           /*              */
       _UBYTE wk7[2];                           /*              */
       union {                                  /* PDIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PD15IOR:1;           /*   PD15IOR    */
                    _UBYTE PD14IOR:1;           /*   PD14IOR    */
                    _UBYTE PD13IOR:1;           /*   PD13IOR    */
                    _UBYTE PD12IOR:1;           /*   PD12IOR    */
                    _UBYTE PD11IOR:1;           /*   PD11IOR    */
                    _UBYTE PD10IOR:1;           /*   PD10IOR    */
                    _UBYTE PD9IOR:1;            /*   PD9IOR     */
                    _UBYTE PD8IOR:1;            /*   PD8IOR     */
                    _UBYTE PD7IOR:1;            /*   PD7IOR     */
                    _UBYTE PD6IOR:1;            /*   PD6IOR     */
                    _UBYTE PD5IOR:1;            /*   PD5IOR     */
                    _UBYTE PD4IOR:1;            /*   PD4IOR     */
                    _UBYTE PD3IOR:1;            /*   PD3IOR     */
                    _UBYTE PD2IOR:1;            /*   PD2IOR     */
                    _UBYTE PD1IOR:1;            /*   PD1IOR     */
                    _UBYTE PD0IOR:1;            /*   PD0IOR     */
                    } BIT;                      /*              */
             } PDIOR0;                          /*              */
       _UBYTE wk8[2];                           /*              */
       union {                                  /* PDDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PD15DR:1;            /*   PD15DR     */
                    _UBYTE PD14DR:1;            /*   PD14DR     */
                    _UBYTE PD13DR:1;            /*   PD13DR     */
                    _UBYTE PD12DR:1;            /*   PD12DR     */
                    _UBYTE PD11DR:1;            /*   PD11DR     */
                    _UBYTE PD10DR:1;            /*   PD10DR     */
                    _UBYTE PD9DR:1;             /*   PD9DR      */
                    _UBYTE PD8DR:1;             /*   PD8DR      */
                    _UBYTE PD7DR:1;             /*   PD7DR      */
                    _UBYTE PD6DR:1;             /*   PD6DR      */
                    _UBYTE PD5DR:1;             /*   PD5DR      */
                    _UBYTE PD4DR:1;             /*   PD4DR      */
                    _UBYTE PD3DR:1;             /*   PD3DR      */
                    _UBYTE PD2DR:1;             /*   PD2DR      */
                    _UBYTE PD1DR:1;             /*   PD1DR      */
                    _UBYTE PD0DR:1;             /*   PD0DR      */
                    } BIT;                      /*              */
             } PDDR0;                           /*              */
       _UBYTE wk9[2];                           /*              */
       union {                                  /* PDPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PD15PR:1;            /*   PD15PR     */
                    _UBYTE PD14PR:1;            /*   PD14PR     */
                    _UBYTE PD13PR:1;            /*   PD13PR     */
                    _UBYTE PD12PR:1;            /*   PD12PR     */
                    _UBYTE PD11PR:1;            /*   PD11PR     */
                    _UBYTE PD10PR:1;            /*   PD10PR     */
                    _UBYTE PD9PR:1;             /*   PD9PR      */
                    _UBYTE PD8PR:1;             /*   PD8PR      */
                    _UBYTE PD7PR:1;             /*   PD7PR      */
                    _UBYTE PD6PR:1;             /*   PD6PR      */
                    _UBYTE PD5PR:1;             /*   PD5PR      */
                    _UBYTE PD4PR:1;             /*   PD4PR      */
                    _UBYTE PD3PR:1;             /*   PD3PR      */
                    _UBYTE PD2PR:1;             /*   PD2PR      */
                    _UBYTE PD1PR:1;             /*   PD1PR      */
                    _UBYTE PD0PR:1;             /*   PD0PR      */
                    } BIT;                      /*              */
             } PDPR0;                           /*              */
       _UBYTE wk10[16];                         /*              */
       union {                                  /* PECR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE5MD:2;             /*   PE5MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE4MD:2;             /*   PE4MD      */
                    } BIT;                      /*              */
             } PECR1;                           /*              */
       union {                                  /* PECR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE3MD:2;             /*   PE3MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE2MD:2;             /*   PE2MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PE1MD:3;             /*   PE1MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE0MD:2;             /*   PE0MD      */
                    } BIT;                      /*              */
             } PECR0;                           /*              */
       _UBYTE wk11[2];                          /*              */
       union {                                  /* PEIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE5IOR:1;            /*   PE5IOR     */
                    _UBYTE PE4IOR:1;            /*   PE4IOR     */
                    _UBYTE PE3IOR:1;            /*   PE3IOR     */
                    _UBYTE PE2IOR:1;            /*   PE2IOR     */
                    _UBYTE PE1IOR:1;            /*   PE1IOR     */
                    _UBYTE PE0IOR:1;            /*   PE0IOR     */
                    } BIT;                      /*              */
             } PEIOR0;                          /*              */
       _UBYTE wk12[2];                          /*              */
       union {                                  /* PEDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE5DR:1;             /*   PE5DR      */
                    _UBYTE PE4DR:1;             /*   PE4DR      */
                    _UBYTE PE3DR:1;             /*   PE3DR      */
                    _UBYTE PE2DR:1;             /*   PE2DR      */
                    _UBYTE PE1DR:1;             /*   PE1DR      */
                    _UBYTE PE0DR:1;             /*   PE0DR      */
                    } BIT;                      /*              */
             } PEDR0;                           /*              */
       _UBYTE wk13[2];                          /*              */
       union {                                  /* PEPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :2;                  /*              */
                    _UBYTE PE5PR:1;             /*   PE5PR      */
                    _UBYTE PE4PR:1;             /*   PE4PR      */
                    _UBYTE PE3PR:1;             /*   PE3PR      */
                    _UBYTE PE2PR:1;             /*   PE2PR      */
                    _UBYTE PE1PR:1;             /*   PE1PR      */
                    _UBYTE PE0PR:1;             /*   PE0PR      */
                    } BIT;                      /*              */
             } PEPR0;                           /*              */
       _UBYTE wk14[12];                         /*              */
       union {                                  /* PFCR3        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :5;                  /*              */
                    _UBYTE PF12MD:3;            /*   PF12MD     */
                    } BIT;                      /*              */
             } PFCR3;                           /*              */
       union {                                  /* PFCR2        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF11MD:3;            /*   PF11MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF10MD:3;            /*   PF10MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF9MD:3;             /*   PF9MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PF8MD:2;             /*   PF8MD      */
                    } BIT;                      /*              */
             } PFCR2;                           /*              */
       union {                                  /* PFCR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF7MD:3;             /*   PF7MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF6MD:3;             /*   PF6MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF5MD:3;             /*   PF5MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF4MD:3;             /*   PF4MD      */
                    } BIT;                      /*              */
             } PFCR1;                           /*              */
       union {                                  /* PFCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF3MD:3;             /*   PF3MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF2MD:3;             /*   PF2MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF1MD:3;             /*   PF1MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PF0MD:3;             /*   PF0MD      */
                    } BIT;                      /*              */
             } PFCR0;                           /*              */
       _UBYTE wk15[2];                          /*              */
       union {                                  /* PFIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PF12IOR:1;           /*   PF12IOR    */
                    _UBYTE PF11IOR:1;           /*   PF11IOR    */
                    _UBYTE PF10IOR:1;           /*   PF10IOR    */
                    _UBYTE PF9IOR:1;            /*   PF9IOR     */
                    _UBYTE PF8IOR:1;            /*   PF8IOR     */
                    _UBYTE PF7IOR:1;            /*   PF7IOR     */
                    _UBYTE PF6IOR:1;            /*   PF6IOR     */
                    _UBYTE PF5IOR:1;            /*   PF5IOR     */
                    _UBYTE PF4IOR:1;            /*   PF4IOR     */
                    _UBYTE PF3IOR:1;            /*   PF3IOR     */
                    _UBYTE PF2IOR:1;            /*   PF2IOR     */
                    _UBYTE PF1IOR:1;            /*   PF1IOR     */
                    _UBYTE PF0IOR:1;            /*   PF0IOR     */
                    } BIT;                      /*              */
             } PFIOR0;                          /*              */
       _UBYTE wk16[2];                          /*              */
       union {                                  /* PFDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PF12DR:1;            /*   PF12DR     */
                    _UBYTE PF11DR:1;            /*   PF11DR     */
                    _UBYTE PF10DR:1;            /*   PF10DR     */
                    _UBYTE PF9DR:1;             /*   PF9DR      */
                    _UBYTE PF8DR:1;             /*   PF8DR      */
                    _UBYTE PF7DR:1;             /*   PF7DR      */
                    _UBYTE PF6DR:1;             /*   PF6DR      */
                    _UBYTE PF5DR:1;             /*   PF5DR      */
                    _UBYTE PF4DR:1;             /*   PF4DR      */
                    _UBYTE PF3DR:1;             /*   PF3DR      */
                    _UBYTE PF2DR:1;             /*   PF2DR      */
                    _UBYTE PF1DR:1;             /*   PF1DR      */
                    _UBYTE PF0DR:1;             /*   PF0DR      */
                    } BIT;                      /*              */
             } PFDR0;                           /*              */
       _UBYTE wk17[2];                          /*              */
       union {                                  /* PFPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PF12PR:1;            /*   PF12PR     */
                    _UBYTE PF11PR:1;            /*   PF11PR     */
                    _UBYTE PF10PR:1;            /*   PF10PR     */
                    _UBYTE PF9PR:1;             /*   PF9PR      */
                    _UBYTE PF8PR:1;             /*   PF8PR      */
                    _UBYTE PF7PR:1;             /*   PF7PR      */
                    _UBYTE PF6PR:1;             /*   PF6PR      */
                    _UBYTE PF5PR:1;             /*   PF5PR      */
                    _UBYTE PF4PR:1;             /*   PF4PR      */
                    _UBYTE PF3PR:1;             /*   PF3PR      */
                    _UBYTE PF2PR:1;             /*   PF2PR      */
                    _UBYTE PF1PR:1;             /*   PF1PR      */
                    _UBYTE PF0PR:1;             /*   PF0PR      */
                    } BIT;                      /*              */
             } PFPR0;                           /*              */
       _UBYTE wk18[4];                          /*              */
       union {                                  /* PGCR7        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :5;                  /*              */
                    _UBYTE PG0MD:3;             /*   PG0MD      */
                    } BIT;                      /*              */
             } PGCR7;                           /*              */
       _UBYTE wk19[2];                         /*              */
       union {                                  /* PGCR5        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :5;                  /*              */
                    _UBYTE PG20MD:3;            /*   PG20MD     */
                    } BIT;                      /*              */
             } PGCR5;                           /*              */
       union {                                  /* PGCR4        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG19MD:3;            /*   PG19MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG18MD:3;            /*   PG18MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG17MD:3;            /*   PG17MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG16MD:3;            /*   PG16MD     */
                    } BIT;                      /*              */
             } PGCR4;                           /*              */
       union {                                  /* PGCR3        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG15MD:3;            /*   PG15MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG14MD:3;            /*   PG14MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG13MD:3;            /*   PG13MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG12MD:3;            /*   PG12MD     */
                    } BIT;                      /*              */
             } PGCR3;                           /*              */
       union {                                  /* PGCR2        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG11MD:3;            /*   PG11MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG10MD:3;            /*   PG10MD     */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG9MD:3;             /*   PG9MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PG8MD:3;             /*   PG8MD      */
                    } BIT;                      /*              */
             } PGCR2;                           /*              */
       union {                                  /* PGCR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG7MD:2;             /*   PG7MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG6MD:2;             /*   PG6MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG5MD:2;             /*   PG5MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG4MD:2;             /*   PG4MD      */
                    } BIT;                      /*              */
             } PGCR1;                           /*              */
       union {                                  /* PGCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG3MD:2;             /*   PG3MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG2MD:2;             /*   PG2MD      */
                    _UBYTE :2;                  /*              */
                    _UBYTE PG1MD:2;             /*   PG1MD      */
                    _UBYTE :4;                  /*              */
                    } BIT;                      /*              */
             } PGCR0;                           /*              */
       union {                                  /* PGIOR1       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :3;                  /*              */
                    _UBYTE PG20IOR:1;           /*   PG20IOR    */
                    _UBYTE PG19IOR:1;           /*   PG19IOR    */
                    _UBYTE PG18IOR:1;           /*   PG18IOR    */
                    _UBYTE PG17IOR:1;           /*   PG17IOR    */
                    _UBYTE PG16IOR:1;           /*   PG16IOR    */
                    } BIT;                      /*              */
             } PGIOR1;                          /*              */
       union {                                  /* PGIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PG15IOR:1;           /*   PG15IOR    */
                    _UBYTE PG14IOR:1;           /*   PG14IOR    */
                    _UBYTE PG13IOR:1;           /*   PG13IOR    */
                    _UBYTE PG12IOR:1;           /*   PG12IOR    */
                    _UBYTE PG11IOR:1;           /*   PG11IOR    */
                    _UBYTE PG10IOR:1;           /*   PG10IOR    */
                    _UBYTE PG9IOR:1;            /*   PG9IOR     */
                    _UBYTE PG8IOR:1;            /*   PG8IOR     */
                    _UBYTE PG7IOR:1;            /*   PG7IOR     */
                    _UBYTE PG6IOR:1;            /*   PG6IOR     */
                    _UBYTE PG5IOR:1;            /*   PG5IOR     */
                    _UBYTE PG4IOR:1;            /*   PG4IOR     */
                    _UBYTE PG3IOR:1;            /*   PG3IOR     */
                    _UBYTE PG2IOR:1;            /*   PG2IOR     */
                    _UBYTE PG1IOR:1;            /*   PG1IOR     */
                    _UBYTE PG0IOR:1;            /*   PG0IOR     */
                    } BIT;                      /*              */
             } PGIOR0;                          /*              */
       union {                                  /* PGDR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :3;                  /*              */
                    _UBYTE PG20DR:1;            /*   PG20DR     */
                    _UBYTE PG19DR:1;            /*   PG19DR     */
                    _UBYTE PG18DR:1;            /*   PG18DR     */
                    _UBYTE PG17DR:1;            /*   PG17DR     */
                    _UBYTE PG16DR:1;            /*   PG16DR     */
                    } BIT;                      /*              */
             } PGDR1;                           /*              */
       union {                                  /* PGDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PG15DR:1;            /*   PG15DR     */
                    _UBYTE PG14DR:1;            /*   PG14DR     */
                    _UBYTE PG13DR:1;            /*   PG13DR     */
                    _UBYTE PG12DR:1;            /*   PG12DR     */
                    _UBYTE PG11DR:1;            /*   PG11DR     */
                    _UBYTE PG10DR:1;            /*   PG10DR     */
                    _UBYTE PG9DR:1;             /*   PG9DR      */
                    _UBYTE PG8DR:1;             /*   PG8DR      */
                    _UBYTE PG7DR:1;             /*   PG7DR      */
                    _UBYTE PG6DR:1;             /*   PG6DR      */
                    _UBYTE PG5DR:1;             /*   PG5DR      */
                    _UBYTE PG4DR:1;             /*   PG4DR      */
                    _UBYTE PG3DR:1;             /*   PG3DR      */
                    _UBYTE PG2DR:1;             /*   PG2DR      */
                    _UBYTE PG1DR:1;             /*   PG1DR      */
                    _UBYTE PG0DR:1;             /*   PG0DR      */
                    } BIT;                      /*              */
             } PGDR0;                           /*              */
       union {                                  /* PGPR1        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :3;                  /*              */
                    _UBYTE PG20PR:1;            /*   PG20PR     */
                    _UBYTE PG19PR:1;            /*   PG19PR     */
                    _UBYTE PG18PR:1;            /*   PG18PR     */
                    _UBYTE PG17PR:1;            /*   PG17PR     */
                    _UBYTE PG16PR:1;            /*   PG16PR     */
                    } BIT;                      /*              */
             } PGPR1;                           /*              */
       union {                                  /* PGPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE PG15PR:1;            /*   PG15PR     */
                    _UBYTE PG14PR:1;            /*   PG14PR     */
                    _UBYTE PG13PR:1;            /*   PG13PR     */
                    _UBYTE PG12PR:1;            /*   PG12PR     */
                    _UBYTE PG11PR:1;            /*   PG11PR     */
                    _UBYTE PG10PR:1;            /*   PG10PR     */
                    _UBYTE PG9PR:1;             /*   PG9PR      */
                    _UBYTE PG8PR:1;             /*   PG8PR      */
                    _UBYTE PG7PR:1;             /*   PG7PR      */
                    _UBYTE PG6PR:1;             /*   PG6PR      */
                    _UBYTE PG5PR:1;             /*   PG5PR      */
                    _UBYTE PG4PR:1;             /*   PG4PR      */
                    _UBYTE PG3PR:1;             /*   PG3PR      */
                    _UBYTE PG2PR:1;             /*   PG2PR      */
                    _UBYTE PG1PR:1;             /*   PG1PR      */
                    _UBYTE PG0PR:1;             /*   PG0PR      */
                    } BIT;                      /*              */
             } PGPR0;                           /*              */
       _UBYTE wk20[18];                         /*              */
       union {                                  /* PHCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :3;                  /*              */
                    _UBYTE PH3MD:1;             /*   PH3MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PH2MD:1;             /*   PH2MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PH1MD:1;             /*   PH1MD      */
                    _UBYTE :3;                  /*              */
                    _UBYTE PH0MD:1;             /*   PH0MD      */
                    } BIT;                      /*              */
             } PHCR0;                           /*              */
       _UBYTE wk21[10];                         /*              */
       union {                                  /* PHPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PH3PR:1;             /*   PH3PR      */
                    _UBYTE PH2PR:1;             /*   PH2PR      */
                    _UBYTE PH1PR:1;             /*   PH1PR      */
                    _UBYTE PH0PR:1;             /*   PH0PR      */
                    } BIT;                      /*              */
             } PHPR0;                           /*              */
       _UBYTE wk22[18];                         /*              */
       union {                                  /* PJCR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :2;                  /*              */
                    _UBYTE PJ3MD:2;             /*   PJ3MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PJ2MD:3;             /*   PJ2MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PJ1MD:3;             /*   PJ1MD      */
                    _UBYTE :1;                  /*              */
                    _UBYTE PJ0MD:3;             /*   PJ0MD      */
                    } BIT;                      /*              */
             } PJCR0;                           /*              */
       _UBYTE wk23[2];                          /*              */
       union {                                  /* PJIOR0       */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PJ3IOR:1;            /*   PJ3IOR     */
                    _UBYTE PJ2IOR:1;            /*   PJ2IOR     */
                    _UBYTE PJ1IOR:1;            /*   PJ1IOR     */
                    _UBYTE PJ0IOR:1;            /*   PJ0IOR     */
                    } BIT;                      /*              */
             } PJIOR0;                          /*              */
       _UBYTE wk24[2];                          /*              */
       union {                                  /* PJDR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PJ3DR:1;             /*   PJ3DR      */
                    _UBYTE PJ2DR:1;             /*   PJ2DR      */
                    _UBYTE PJ1DR:1;             /*   PJ1DR      */
                    _UBYTE PJ0DR:1;             /*   PJ0DR      */
                    } BIT;                      /*              */
             } PJDR0;                           /*              */
       _UBYTE wk25[2];                          /*              */
       union {                                  /* PJPR0        */
             _UWORD WORD;                       /*  Word Access */
             struct {                           /*  Byte Access */
                    _UBYTE H;                   /*   High       */
                    _UBYTE L;                   /*   Low        */
                    } BYTE;                     /*              */
             struct {                           /*  Bit Access  */
                    _UBYTE :8;                  /*              */
                    _UBYTE :4;                  /*              */
                    _UBYTE PJ3PR:1;             /*   PJ3PR      */
                    _UBYTE PJ2PR:1;             /*   PJ2PR      */
                    _UBYTE PJ1PR:1;             /*   PJ1PR      */
                    _UBYTE PJ0PR:1;             /*   PJ0PR      */
                    } BIT;                      /*              */
             } PJPR0;                           /*              */
};                                              /*              */
#define CPG (*(volatile struct st_cpg *)0xFFFE0010)    /* CPG Address  */
#define INTC (*(volatile struct st_intc *)0xFFFE0800)  /* INTC Address */
#define CCNT (*(volatile struct st_ccnt *)0xFFFC1000)  /* CCNT Address */
#define BSC (*(volatile struct st_bsc *)0xFFFC0000)    /* BSC Address  */
#define DMAC (*(volatile struct st_dmac *)0xFFFE1000)  /* DMAC Address */
#define MTU2 (*(volatile struct st_mtu2 *)0xFFFE4000)  /* MTU2 Address */
#define CMT (*(volatile struct st_cmt *)0xFFFEC000)    /* CMT Address  */
#define WDT (*(volatile union  un_wdt *)0xFFFE0000)    /* WDT Address  */
#define RTC (*(volatile struct st_rtc *)0xFFFE6000)    /* RTC Address  */
#define SCIF0 (*(volatile struct st_scif02 *)0xFFFE8000)/* SCIF0 Address */
#define SCIF1 (*(volatile struct st_scif13 *)0xFFFE8800)/* SCIF1 Address */
#define SCIF2 (*(volatile struct st_scif02 *)0xFFFE9000)/* SCIF2 Address */
#define SCIF3 (*(volatile struct st_scif13 *)0xFFFE9800)/* SCIF3 Address */
#define SCIF4 (*(volatile struct st_scif4567 *)0xFFFEA000)/* SCIF4 Address */
#define SCIF5 (*(volatile struct st_scif4567 *)0xFFFEA800)/* SCIF5 Address */
#define SCIF6 (*(volatile struct st_scif4567 *)0xFFFEB000)/* SCIF6 Address */
#define SCIF7 (*(volatile struct st_scif4567 *)0xFFFEB800)/* SCIF7 Address */
#define RSPI0 (*(volatile struct st_rspi *)0xFFFF8000)  /* RSPI0 Address */
#define RSPI1 (*(volatile struct st_rspi *)0xFFFF8800)  /* RSPI1 Address */
#define IIC3_0 (*(volatile struct st_iic3 *)0xFFFEE000)/* IIC3_0 Address */
#define IIC3_1 (*(volatile struct st_iic3 *)0xFFFEE400)/* IIC3_1 Address */
#define IIC3_2 (*(volatile struct st_iic3 *)0xFFFEE800)/* IIC3_2 Address */
#define SSIF0 (*(volatile struct st_ssif *)0xFFFF0000)/* SSIF0 Address */
#define SSIF1 (*(volatile struct st_ssif *)0xFFFF0800)/* SSIF1 Address */
#define SSIF2 (*(volatile struct st_ssif *)0xFFFF1000)/* SSIF2 Address */
#define SSIF3 (*(volatile struct st_ssif *)0xFFFF1800)/* SSIF3 Address */
#define SIOF (*(volatile struct st_siof *)0xFFFF4800)  /* SIOF Address */
#define RCAN0 (*(volatile struct st_rcan *)0xFFFE5000) /* RCAN0 Address */
#define RCAN1 (*(volatile struct st_rcan *)0xFFFE5800) /* RCAN1 Address */
#define IEB (*(volatile struct st_ieb *)0xFFFEF000)    /* IEB Address  */
#define SPDIF (*(volatile struct st_spdif *)0xFFFF5800)/* SPDIF Address */
#define ROMDEC (*(volatile struct st_romdec *)0xFFFF9000)/* ROMDEC Address */
#define ADC (*(volatile struct st_adc *)0xFFFF9800)    /* ADC Address  */
#define FLCTL (*(volatile struct st_flctl *)0xFFFF4000)/* FLCTL Address */
#define USB (*(volatile struct st_usb *)0xFFFFC000)    /* USB Address  */
#define VDC3 (*(volatile struct st_vdc3 *)0xFFFF2000)  /* VDC3 Address */
#define SRC0 (*(volatile struct st_src0 *)0xFFFE7000)  /* SRC0 Address */
#define SRC1 (*(volatile struct st_src1 *)0xFFFE7800)  /* SRC1 Address */
#define DCU (*(volatile struct st_dcu *)0xFFFF5000)    /* DCU Address  */
#define PORT (*(volatile struct st_gpio *)0xFFFE3812)  /* GPIO Address */
#define HUDI (*(volatile struct st_hudi *)0xFFFE2000)  /* HUDI Address */
#define PWM (*(volatile struct st_pwm *)0xFFFEF406)    /* PWM Address  */

#endif /* _IODEFINE_H_ */
