/***********************************************/
/*  sysconf.c : system configuration table     */
/*              for SH-2A/FPU                  */
/***********************************************/

#include "../common/tonegen.h"

// lb_ofs  = log2(min_MIDI_freq) - log2(fs) + Q_phacc - Q_fnumber + 1
//         = 17.031360 - log2(fs)

// oct_ofs  = floor(lb_ofs)

// note_ofs = 1536 * (lb_ofs - oct_ofs)

const sys_config_st_t sys_config[2][MAX_CONFIG] = {
//
// for output fs = 44.1 kHz
//
 {// poly, fscode, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {   10,      9,      44,     176,       1,      926,  "44" },// fs=44.100 kHz
   {   10,      9,      44,     176,       1,      926,  "44" },// fs=44.100 kHz
   {   16,      8,      32,     128,       2,      101,  "32" },// fs=32.000 kHz
   {   16,      6,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {   16,      5,      22,      88,       2,      926,  "22" },// fs=22.050 kHz
   {   16,      4,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   16,      2,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 },
//
// for output fs = 48 kHz
//
 {// poly, fscode, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {   10,     10,      48,     192,       1,      738,  "48" },// fs=48.000 kHz
   {   11,      9,      44,     176,       1,      926,  "44" },// fs=44.100 kHz
   {   16,      8,      32,     128,       2,      101,  "32" },// fs=32.000 kHz
   {   16,      6,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {   16,      5,      22,      88,       2,      926,  "22" },// fs=22.050 kHz
   {   16,      4,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   16,      2,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 }
}; // const sys_config_st_t sys_config[]
