/***********************************************/
/*  sysconf.c : system configuration table     */
/*              for SH-2A/FPU                  */
/*              counter clock = 24.0 MHz       */
/***********************************************/

#include "tonegen.h"

// lb_ofs  = log2(min_MIDI_freq) - log2(fs) + Q_phacc - Q_fnumber + 1
//         = 17.031360 - log2(fs)
//         = 17.031360 - log2(24.0e6 / t1div)
//         = log2(t1div) - 7.485171

// oct_ofs  = floor(lb_ofs)

// note_ofs = 1536 * (lb_ofs - oct_ofs)

const sys_config_st_t sys_config[2][MAX_CONFIG] = {
//
// with LCD support
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {    7,    10,      48,     192,       1,      738,  "48" },// fs=48.000 kHz
   {   10,     8,      32,     128,       2,      101,  "32" },// fs=32.000 kHz
   {   14,     6,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {   16,     4,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   16,     2,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 },
//
// without LCD support
//
 {// poly, t1div, tick1ms, tick4ms, oct_ofs, note_ofs, fs_str}
   {   16,    10,      48,     192,       1,      738,  "48" },// fs=48.000 kHz
   {   16,     8,      32,     128,       2,      101,  "32" },// fs=32.000 kHz
   {   16,     6,      24,      96,       2,      738,  "24" },// fs=24.000 kHz
   {   16,     4,      16,      64,       3,      101,  "16" },// fs=16.000 kHz
   {   16,     2,      12,      48,       3,      738,  "12" },// fs=12.000 kHz
 }
}; // const sys_config_st_t sys_config[]
